Index: extensions/hr_glass_xl/language/ar_SA/theme.lang.php
===================================================================
--- extensions/hr_glass_xl/language/ar_SA/theme.lang.php	(revision 26870)
+++ extensions/hr_glass_xl/language/ar_SA/theme.lang.php	(revision 26870)
@@ -0,0 +1,27 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Display page banner on picture page'] = 'عرض شعار الصفحة على صفحة صور';
+$lang['Display page banner on other pages'] = 'عرض شعار الصفحة في الصفحات الأخرى';
+$lang['Display page banner on home page'] = 'عرض شعار الصفحة على الصفحة الرئيسية';
+$lang['Display page banner on categories pages'] = 'عرض شعار الصفحة على صفحات الفئات';
+?>
Index: extensions/hr_glass_xl/language/eo_EO/theme.lang.php
===================================================================
--- extensions/hr_glass_xl/language/eo_EO/theme.lang.php	(revision 26870)
+++ extensions/hr_glass_xl/language/eo_EO/theme.lang.php	(revision 26870)
@@ -0,0 +1,27 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Display page banner on categories pages'] = 'Vidigi paĝan rubandon sur la paĝo "kategorioj"';
+$lang['Display page banner on home page'] = 'Vidigi paĝan rubandon sur la ĉefpaĝo';
+$lang['Display page banner on other pages'] = 'Vidigi paĝan rubandon sur aliaj paĝoj';
+$lang['Display page banner on picture page'] = 'Vidigi paĝan rubandon sur bildapaĝo';
+?>
Index: extensions/hr_glass_xl/language/fa_IR/index.php
===================================================================
--- extensions/hr_glass_xl/language/fa_IR/index.php	(revision 26870)
+++ extensions/hr_glass_xl/language/fa_IR/index.php	(revision 26870)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/hr_glass_xl/language/fa_IR/theme.lang.php
===================================================================
--- extensions/hr_glass_xl/language/fa_IR/theme.lang.php	(revision 26870)
+++ extensions/hr_glass_xl/language/fa_IR/theme.lang.php	(revision 26870)
@@ -0,0 +1,27 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Display page banner on home page'] = 'نمایش صفحه آگهی در صفحه اصلی';
+$lang['Display page banner on other pages'] = 'نمایش صفحه آگهی در دیگر صفحه ها';
+$lang['Display page banner on picture page'] = 'نمایش صفحه آگهی در صفحه عکس';
+$lang['Display page banner on categories pages'] = 'نمایش صفحه آگهی در صفحه شاخه ها';
+?>
Index: extensions/hr_glass_xl/language/nn_NO/theme.lang.php
===================================================================
--- extensions/hr_glass_xl/language/nn_NO/theme.lang.php	(revision 26870)
+++ extensions/hr_glass_xl/language/nn_NO/theme.lang.php	(revision 26870)
@@ -0,0 +1,27 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Display page banner on categories pages'] = 'Vis sidebanner på albumsider';
+$lang['Display page banner on home page'] = 'Vis sidebanner på startsida';
+$lang['Display page banner on other pages'] = 'Vis sidebanner på andre sider';
+$lang['Display page banner on picture page'] = 'Vis sidebanner på biletsider';
+?>
Index: extensions/hr_glass_xl/language/ro_RO/index.php
===================================================================
--- extensions/hr_glass_xl/language/ro_RO/index.php	(revision 26870)
+++ extensions/hr_glass_xl/language/ro_RO/index.php	(revision 26870)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/hr_glass_xl/language/ro_RO/theme.lang.php
===================================================================
--- extensions/hr_glass_xl/language/ro_RO/theme.lang.php	(revision 26870)
+++ extensions/hr_glass_xl/language/ro_RO/theme.lang.php	(revision 26870)
@@ -0,0 +1,27 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Display page banner on categories pages'] = 'Afişază bannerul de pagină pe paginile de categorii';
+$lang['Display page banner on home page'] = 'Afişază bannerul de pagina pe pagina de start';
+$lang['Display page banner on other pages'] = 'Afişază bannerul de pagina pe alte pagini';
+$lang['Display page banner on picture page'] = 'Afişază bannerul de pagina pe pagina cu imagine';
+?>
Index: extensions/hr_glass_xl/language/sl_SI/theme.lang.php
===================================================================
--- extensions/hr_glass_xl/language/sl_SI/theme.lang.php	(revision 26870)
+++ extensions/hr_glass_xl/language/sl_SI/theme.lang.php	(revision 26870)
@@ -0,0 +1,27 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Display page banner on categories pages'] = 'Prikaži pasico na strani s kategorijami';
+$lang['Display page banner on home page'] = 'Prikaži pasico na domači strani';
+$lang['Display page banner on other pages'] = 'Prikaži pasico na ostalih straneh';
+$lang['Display page banner on picture page'] = 'Prikaži pasico na strani s slikami';
+?>
Index: extensions/hr_glass_xl/language/sv_SE/theme.lang.php
===================================================================
--- extensions/hr_glass_xl/language/sv_SE/theme.lang.php	(revision 26870)
+++ extensions/hr_glass_xl/language/sv_SE/theme.lang.php	(revision 26870)
@@ -0,0 +1,27 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Display page banner on categories pages'] = 'Visa banderoll på kategorisidor';
+$lang['Display page banner on home page'] = 'Visa banderoll på startsidan';
+$lang['Display page banner on other pages'] = 'Visa banderoll på andra sidor';
+$lang['Display page banner on picture page'] = 'Visa banderoll på bildsidan';
+?>
Index: extensions/hr_glass_xl/language/zh_HK/theme.lang.php
===================================================================
--- extensions/hr_glass_xl/language/zh_HK/theme.lang.php	(revision 26870)
+++ extensions/hr_glass_xl/language/zh_HK/theme.lang.php	(revision 26870)
@@ -0,0 +1,27 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Display page banner on categories pages'] = '顯示橫額於類型頁面';
+$lang['Display page banner on home page'] = '顯示橫額於主頁面';
+$lang['Display page banner on other pages'] = '顯示橫額於其他頁面';
+$lang['Display page banner on picture page'] = '顯示橫額於圖像頁面';
+?>
Index: extensions/hr_glass_xl/language/zh_TW/theme.lang.php
===================================================================
--- extensions/hr_glass_xl/language/zh_TW/theme.lang.php	(revision 26870)
+++ extensions/hr_glass_xl/language/zh_TW/theme.lang.php	(revision 26870)
@@ -0,0 +1,27 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Display page banner on categories pages'] = '在分類頁面顯示頁面標語';
+$lang['Display page banner on home page'] = '在主頁顯示頁面標語';
+$lang['Display page banner on other pages'] = '在其他頁面顯示頁面標語';
+$lang['Display page banner on picture page'] = '在圖片頁面顯示頁面標語';
+?>