Index: /trunk/language/eu_ES/common.lang.php
===================================================================
--- /trunk/language/eu_ES/common.lang.php	(revision 26886)
+++ /trunk/language/eu_ES/common.lang.php	(revision 26886)
@@ -0,0 +1,67 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2014 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+/*
+Language Name: Euskara [ES]
+Version: 2.6.0
+Language URI: http://piwigo.org/ext/extension_view.php?eid=725
+Author: Piwigo team
+Author URI: http://piwigo.org
+*/
+
+// Langage informations
+$lang_info['language_name'] = 'Euskara';
+$lang_info['country'] = 'Basque_Country';
+$lang_info['direction'] = 'ltr';
+$lang_info['code'] = 'eus';
+$lang_info['zero_plural'] = true;
+
+$lang['%d album updated'] = '%d eguneratutako albuma';
+$lang['%d albums updated'] = '%d eguneratutako albumak';
+$lang['%d comment to validate'] = '%d onartzeko azalpena';
+$lang['%d comments to validate'] = '%d onartzeko azalpenak';
+$lang['%d new comment'] = '%d azalpen berria';
+$lang['%d new comments'] = '%d azalpen berriak';
+$lang['%d comment'] = '%d azalpen';
+$lang['%d comments'] = '%d azalpenak';
+$lang['%d hit'] = '%d bisita';
+$lang['%d hits'] = '%d bisitak';
+$lang['day'][0] = 'Igandea';
+$lang['day'][1] = 'Astelehena';
+$lang['day'][2] = 'Asteartea';
+$lang['day'][3] = 'Asteazkena';
+$lang['day'][4] = 'Osteguna';
+$lang['day'][5] = 'Ostirala';
+$lang['day'][6] = 'Larunbata';
+$lang['month'][10] = 'Urria';
+$lang['month'][11] = 'Azaroa';
+$lang['month'][12] = 'Abendua';
+$lang['month'][1] = 'Urtarrila';
+$lang['month'][2] = 'Otsaila';
+$lang['month'][3] = 'Martxoa';
+$lang['month'][4] = 'Apirila';
+$lang['month'][5] = 'Maiatza';
+$lang['month'][6] = 'Ekaina';
+$lang['month'][7] = 'Uztaia';
+$lang['month'][8] = 'Abuztua';
+$lang['month'][9] = 'Iraila';
+?>
Index: /trunk/language/eu_ES/iso.txt
===================================================================
--- /trunk/language/eu_ES/iso.txt	(revision 26886)
+++ /trunk/language/eu_ES/iso.txt	(revision 26886)
@@ -0,0 +1,1 @@
+Euskara [ES]
Index: /trunk/language/mn_MN/common.lang.php
===================================================================
--- /trunk/language/mn_MN/common.lang.php	(revision 26885)
+++ /trunk/language/mn_MN/common.lang.php	(revision 26886)
@@ -22,5 +22,5 @@
 // +-----------------------------------------------------------------------+
 /*
-Language Name: Монгол хэл [MN]
+Language Name: Монгол [MN]
 Version: 2.6.0
 Language URI: http://piwigo.org/ext/extension_view.php?eid=696