Index: trunk/language/mn_MN/admin.lang.php
===================================================================
--- trunk/language/mn_MN/admin.lang.php	(revision 26789)
+++ trunk/language/mn_MN/admin.lang.php	(revision 26891)
@@ -93,5 +93,5 @@
 $lang['Move albums'] = 'Цомгийг зөөх';
 $lang['Move to album'] = 'Цомог уруу зөөх';
-$lang['Informations'] = 'Мэдээллийн эмхэтгэл';
+$lang['Informations'] = 'Мэдээллэл';
 $lang['Install'] = 'Суулгах';
 $lang['Installed Languages'] = 'Идэвхтэй байгаа хэл';
@@ -208,5 +208,5 @@
 $lang['Dump Database'] = 'Мэдээллийг санг устгах';
 $lang['Download,'] = 'Татаж авах,';
-$lang['Delete selected tags'] = 'Сонгосон үгсийг устгах';
+$lang['Delete selected tags'] = 'Устгах';
 $lang['Delete selected users'] = 'Сонгосон хэрэглэгчийг устгах';
 $lang['Database'] = 'Өгөгдлийн сан';
@@ -218,7 +218,7 @@
 $lang['Link all album photos to some existing albums'] = 'Энэ цомогны зургийг өөр цомогтой холбох';
 $lang['Link all album photos to a new album'] = 'Энэ цомогны зурагнуудыг шинэ цомогтой холбох';
-$lang['New photos were added'] = 'Шинэ зурагнууд нэмэгдлээ';
+$lang['New photos were added'] = 'Шинэ зураг нэмэгдлээ';
 $lang['Manage photo ranks'] = 'Зурагны дараалал';
-$lang['New photos added'] = 'Шинэ зурагнууд нэмэгдлээ';
+$lang['New photos added'] = 'Шинэ зураг нэмэгдлээ';
 $lang['%d photos were deleted'] = '%d зургийг устгалаа';
 $lang['(this tag will be deleted)'] = '(энэ түлхүүр үг устах болно)';
@@ -272,6 +272,6 @@
 $lang['The %d following tags were deleted'] = 'Дараахь %d түлхүүр үгсийг устгалаа';
 $lang['All %d photos are selected'] = 'Нийт %d зураг сонгосон байна';
-$lang['Duplicate selected tags'] = 'Сонгосон үгсийг хувилах';
-$lang['Merge selected tags'] = 'Сонгосон үгсийг нэгтгэх';
+$lang['Duplicate selected tags'] = 'Хувилах';
+$lang['Merge selected tags'] = 'Нэгтгэх';
 $lang['selection'] = 'сонголт';
 $lang['Select at least one album'] = 'Дор хаяж нэг цомог сонгоно уу';
@@ -400,5 +400,5 @@
 $lang['Allow rating'] = 'Үнэлгээг идэвхжүүлэх';
 $lang['Page banner'] = 'Нүүр хуудасны баннер';
-$lang['Gallery title'] = 'Галларейн нэр';
+$lang['Gallery title'] = 'Галерейн нэр';
 $lang['With blank value, gallery title will be used'] = 'Хоосон бол галларейн нэрийг ашиглах болно';
 $lang['Add to caddie'] = 'Устгах жагсаалтанд нэмэх';
@@ -415,5 +415,5 @@
 $lang['The whole set'] = 'Бүх цомгийг';
 $lang['include child albums'] = 'дэд цомгийг хамруулах';
-$lang['Visit Gallery'] = 'Цомгийг харах';
+$lang['Visit Gallery'] = 'Галерейг харах';
 $lang['Switch to clear or dark colors for administration'] = 'Удирдлагын талбарыг бараан болон цайвар өнгөөр солих';
 $lang['Change Admin Colors'] = 'Өнгийг солих';
@@ -437,5 +437,5 @@
 $lang['Allowed file types: %s.'] = 'Зөвшөөрөгдөх зургийн төрлүүд: %s.';
 $lang['Select files'] = 'Файлаа сонгоно уу';
-$lang['... or '] = '...эсвэл';
+$lang['... or '] = '...эсвэл ';
 $lang['unit mode'] = 'дэлгэрэнгүй хэсэг';
 $lang['unset'] = 'өөрчлөөгүй';
@@ -504,13 +504,13 @@
 $lang['See you soon,'] = 'Танд амжилт хүсье,';
 $lang['See you soon.'] = 'Танд амжилт хүсье.';
-$lang['The webmaster has subscribed you to receiving notifications by mail.'] = 'Манай вэбмастер Таны и-мэйлийг шинэ мэдээ, мэдээллийн эмхэтгэлийн санд нэмж орууллаа.';
-$lang['The webmaster has unsubscribed you from receiving notifications by mail.'] = 'Манай вэбмастер Таны и-мэйлийг шинэ мэдээ, мэдээллийн эмхэтгэлийн сангаас хаслаа.';
+$lang['The webmaster has subscribed you to receiving notifications by mail.'] = 'Манай вэбмастер Таны и-мэйл хаягийг шинэ мэдээ, мэдээллийн эмхэтгэлийн бүртгэлд нэмж орууллаа.';
+$lang['The webmaster has unsubscribed you from receiving notifications by mail.'] = 'Манай вэбмастер Таны и-мэйл хаягийг шинэ мэдээ, мэдээллийн эмхэтгэлийн бүртгэлээс хаслаа.';
 $lang['Subscribe'] = 'Бүртгүүлэх';
 $lang['Subscribed'] = 'Бүртгүүлсэн';
-$lang['To subscribe'] = 'Мэдээллийн эмхэтгэлд бүртгүүлэхийг хүсвэл';
-$lang['To unsubscribe'] = 'Мэдээллийн эмхэтгэлээс хасуулахыг хүсвэл';
+$lang['To subscribe'] = 'Мэдээллийн эмхэтгэлд бүртгүүлэхийг хүсвэл ';
+$lang['To unsubscribe'] = 'Мэдээллийн эмхэтгэлээс хасуулахыг хүсвэл ';
 $lang[', click on'] = 'дараахь холбоосыг ашиглана уу';
 $lang['Uncheck all'] = 'Бүх сонголтыг цуцлах';
-$lang['If you encounter problems or have any question, please send a message to'] = 'Хэрэв Танд асуух зүйл гарвал дараахь хаягаар холбоо барина уу.';
+$lang['If you encounter problems or have any question, please send a message to'] = 'Хэрэв Танд асуух зүйл байгаа бол дараахь хаягаар холбоо барина уу.';
 $lang['Error when sending email to %s [%s].'] = '%s [%s] хаяг уруу и-мэйл илгээхэд алдаа гарлаа.';
 $lang['To send ?'] = 'И-мэйл илгээх эсэх?';
@@ -555,5 +555,5 @@
 $lang['Update in progress... Please wait.'] = 'Шинэчлэлт хийгдэж байна... Түр хүлээнэ үү.';
 $lang['Update photos information'] = 'Зурагны мэдээллийг шинэчлэх';
-$lang['Update to Piwigo %s'] = 'Piwigo %s уруу шинэчлэх';
+$lang['Update to Piwigo %s'] = 'Piwigo %s хувилбар болгож шинэчлэх';
 $lang['Caddie management'] = 'Устгах жагсаалтын зохицуулалт';
 $lang['display maximum informations (added albums and photos, deleted albums and photos)'] = 'дэлгэрэнгүй мэдээллийг харуулах (нэмж, хассан цомог болон зурагнууд)';
@@ -588,5 +588,5 @@
 $lang['Manage photos'] = 'Зургуудийг цэгцлэх';
 $lang['Manage this set of %d photos'] = 'Энэ %d зургуудийг цэгцлэх';
-$lang['Miscellaneous'] = 'Буёад';
+$lang['Miscellaneous'] = 'Бусад';
 $lang['No mail to send.'] = 'Илгээх и-мэйл байхгүй байна.';
 $lang['Loading...'] = 'Ачаалж байна...';
@@ -683,5 +683,5 @@
 $lang['The original maximum height must be a number between %d and %d'] = 'Өндөрийн хамгийн их утга %d-с %d-н хооронд байх ёстой';
 $lang['The original maximum width must be a number between %d and %d'] = 'Өргөний хамгийн их утга %d-с %d-н хооронд байх ёстой';
-$lang['Save manual order'] = 'Эрэмбийг хадгалах';
+$lang['Save manual order'] = 'Хадгалах';
 $lang['Select at least one tag'] = 'Доод тал нь нэг түлхүүр үг сонгоно уу';
 $lang['Ratio'] = 'Харьцаа хэмжээ';
@@ -701,3 +701,16 @@
 $lang['Last hit'] = 'Сүүлд үзсэн';
 $lang['Instructions to use Piwigo'] = 'Piwigo-г ашиглах заавар';
+$lang['Showing %s to %s of %s users'] = '%s-с %s хэрэглэгчийг харуулж байна. Нийт %s хэрэглэгчид';
+$lang['Manage authorizations for selected albums'] = 'Цомогын төлөв байдлыг сонгох';
+$lang['Authorize users to add comments on selected albums'] = 'Хэрэглэгчид сэтгэгдэл бичэх эрхийг зохицуулах';
+$lang['Authorized'] = 'Зөвшөөрөгдсөн';
+$lang['Lock albums'] = 'Цомогийг түгжэх';
+$lang['Unlocked'] = 'Түгжээгүй';
+$lang['Permissions'] = 'Зөвшөөрөл';
+$lang['visitors need to login and have the appropriate permissions to see this album'] = 'цомогийг үзэхийн тулд хэрэглэгч болгон бүртгүүлж зөвшөөрөл авах ёстой';
+$lang['any visitor can see this album'] = 'энэ цомгийг дурийн хүн үзэх боломжтой';
+$lang['Manual order'] = 'Гараараа эрэмблэх';
+$lang['manual order'] = 'гараараа эрэмблэх';
+$lang['Use the default photo sort order (defined in the configuration file)'] = 'үндсэн тохиргоог ашиглах';
+$lang['Add a virtual album'] = 'Хийсвэр цомог нэмэх';
 ?>