Index: trunk/language/mn_MN/admin.lang.php
===================================================================
--- trunk/language/mn_MN/admin.lang.php	(revision 26891)
+++ trunk/language/mn_MN/admin.lang.php	(revision 26893)
@@ -77,5 +77,5 @@
 $lang['Select an album'] = 'Цомогоо сонгох';
 $lang['Reject'] = 'Цуцлах';
-$lang['Refresh'] = 'Сэргээх';
+$lang['Refresh'] = 'OK';
 $lang['Rating'] = 'Үнэлгээ';
 $lang['Photo name'] = 'Зургын нэр';
@@ -138,5 +138,5 @@
 $lang['Add a tag'] = 'Түлхүүр үг нэмэх';
 $lang['Add a user'] = 'Хэрэглэгч нэмэх';
-$lang['Add tags'] = 'Түлхүүр үгс нэмэх';
+$lang['Add tags'] = 'Түлхүүр үг нэмэх';
 $lang['Active Languages'] = 'Идэвхтэй байгаа хэл';
 $lang['%d week'] = '%d долоо хоног';
@@ -228,6 +228,6 @@
 $lang['Hello,'] = 'Сайн байна уу, ';
 $lang['History'] = 'Түүх';
-$lang['Edit tags'] = 'Түлхүүр үгсийг засах';
-$lang['Edit selected tags'] = 'Сонгосон үгсийг засах';
+$lang['Edit tags'] = 'Түлхүүр үгийг засах';
+$lang['Edit selected tags'] = 'Сонгосон үгийг засах';
 $lang['Current name'] = 'Одоогын нэр';
 $lang['Confirm merge'] = 'Нэгтгэх';
@@ -268,5 +268,5 @@
 $lang['Who can see these photos?'] = 'Зургийг үзэх эрхтэй бүлэг?';
 $lang['Who can see this photo?'] = 'Зургийг үзэх эрхтэй бүлэг?';
-$lang['Manage tags'] = 'Түлхүүр үгсийг цэгцлэх';
+$lang['Manage tags'] = 'Түлхүүр үгийг цэгцлэх';
 $lang['%d tags'] = '%d-н түлхүүр үг';
 $lang['The %d following tags were deleted'] = 'Дараахь %d түлхүүр үгсийг устгалаа';
@@ -285,6 +285,6 @@
 $lang['set to'] = 'өөрчлөх';
 $lang['You have %d orphan tags: %s.'] = 'Нийт %d-н ашиглагдаагүй түлхүүр үгс байна: %s.';
-$lang['Delete orphan tags'] = 'Ашиглагдаагүй түлхүүр үгсийг устгах';
-$lang['Orphan tags deleted'] = 'Ашиглагдаагүй түлхүүр үгсийг устгалаа';
+$lang['Delete orphan tags'] = 'Ашиглагдаагүй түлхүүр үгийг устгах';
+$lang['Orphan tags deleted'] = 'Ашиглагдаагүй түлхүүр үгийг устгалаа';
 $lang['Inactive Languages'] = 'Идэвхжүүлээгүй байгаа хэл';
 $lang['Album "%s" has been added'] = '"%s" цомгийг амжилттай нэмлээ';
@@ -485,5 +485,5 @@
 $lang['Plugins'] = 'Өргөтгөл';
 $lang['Plugins which need upgrade'] = 'Шинэчлэх шаардлагатай өргөтгөл';
-$lang['Manage'] = 'Зохицуулах';
+$lang['Manage'] = 'Цэгцлэх';
 $lang['Guest cannot be deleted'] = 'Зочны бүртгэлийг устгах боломжгүй';
 $lang['Privacy level set to "%s"'] = 'Хандах эрхийг "%s" болголоо';
@@ -550,5 +550,5 @@
 $lang['Update Complete'] = 'Шинэчлэлт амжилттай хийгдлээ';
 $lang['User %s updated'] = '%s хэрэглэгчийн мэдээллийг амжилттай шинэчиллээ';
-$lang['Update user'] = 'Хэрэглэгчийн мэдээллийг шинэчлэх';
+$lang['Update user'] = 'Мэдээллийг шинэчлэх';
 $lang['Reset ignored updates'] = 'Цуцалсан шинэчлэлийг сэргээх';
 $lang['Update All'] = 'Бүгдийг шинэчлэх';
@@ -611,5 +611,5 @@
 $lang['Change username'] = 'Хэрэглэгчийн нэр солих';
 $lang['Available only with HTML format'] = 'Зөвхөн HTML хэлбэрээр боломжтой';
-$lang['Batch Manager'] = 'Бөөнд нь цэгцлэх';
+$lang['Batch Manager'] = 'Цэгцлэх';
 $lang['Basic settings'] = 'Үндсэн тохиргоо';
 $lang['Apply watermark if height is bigger than'] = 'Өндөр нь их үед усан хээг ашиглах';
@@ -701,5 +701,5 @@
 $lang['Last hit'] = 'Сүүлд үзсэн';
 $lang['Instructions to use Piwigo'] = 'Piwigo-г ашиглах заавар';
-$lang['Showing %s to %s of %s users'] = '%s-с %s хэрэглэгчийг харуулж байна. Нийт %s хэрэглэгчид';
+$lang['Showing %s to %s of %s users'] = '%s-с %s хэрэглэгчийг харуулж байна. Нийт %s хэрэглэгч';
 $lang['Manage authorizations for selected albums'] = 'Цомогын төлөв байдлыг сонгох';
 $lang['Authorize users to add comments on selected albums'] = 'Хэрэглэгчид сэтгэгдэл бичэх эрхийг зохицуулах';
@@ -714,3 +714,10 @@
 $lang['Use the default photo sort order (defined in the configuration file)'] = 'үндсэн тохиргоог ашиглах';
 $lang['Add a virtual album'] = 'Хийсвэр цомог нэмэх';
+$lang['%d line filtered'] = '%d мөр мэдээлэл';
+$lang['%d lines filtered'] = '%d мөр мэдээлэл';
+$lang['%d waiting for validation'] = 'Баталгаажуулалт хүлээж буй %d';
+$lang['Last visit on %s, %s.'] = 'Хамгийн сүүлд зочилсон огноо %s, %s.';
+$lang['Registered on %s, %s.'] = 'Бүртгүүлсэн огноо %s, %s.';
+$lang['Select recipients'] = 'Хүлээн авагчаа сонгоно уу';
+$lang['Include display of recent photos grouped by dates'] = 'Шинэ зургуудийг огноогоор нь нэгтгэн хавсаргах';
 ?>