Index: /trunk/language/eu_ES/common.lang.php
===================================================================
--- /trunk/language/eu_ES/common.lang.php	(revision 26895)
+++ /trunk/language/eu_ES/common.lang.php	(revision 26896)
@@ -38,10 +38,10 @@
 $lang['%d album updated'] = '%d eguneratutako albuma';
 $lang['%d albums updated'] = '%d eguneratutako albumak';
-$lang['%d comment to validate'] = '%d onartzeko azalpena';
-$lang['%d comments to validate'] = '%d onartzeko azalpenak';
-$lang['%d new comment'] = '%d azalpen berria';
-$lang['%d new comments'] = '%d azalpen berriak';
-$lang['%d comment'] = '%d azalpen';
-$lang['%d comments'] = '%d azalpenak';
+$lang['%d comment to validate'] = '%d onartzeko iruzkina';
+$lang['%d comments to validate'] = '%d onartzeko iruzkinak';
+$lang['%d new comment'] = '%d iruzkina berria';
+$lang['%d new comments'] = '%d iruzkina berriak';
+$lang['%d comment'] = '%d iruzkina';
+$lang['%d comments'] = '%d iruzkinak';
 $lang['%d hit'] = '%d bisita';
 $lang['%d hits'] = '%d bisitak';
@@ -76,3 +76,42 @@
 $lang['%d new photos'] = '%d argazki berriak';
 $lang['%d new photo'] = '%d argazki berria';
+$lang['Comment by %s'] = '%s-ek Esanda';
+$lang['Change my password'] = 'Pasahitza lehengoratzea';
+$lang['Check your email for the confirmation link'] = 'Egiazta dezan baieztapenaren lotura hartu duen haren posta elektronikoan';
+$lang['Click here if your browser does not automatically forward you'] = 'Hemen saka dezan bere nabigatzaileak eskatutako orrialdea ez badio birbideratzen.';
+$lang['Click on the photo to see it in high definition'] = 'Klika egin ezazu argazkian hura kalitate handian ikusteko';
+$lang['Close this window'] = 'Leihoa ixtea';
+$lang['Comment'] = 'Iruzkina';
+$lang['Comment: %s'] = 'Iruzkina: %s';
+$lang['(!) This comment requires validation'] = '(!) Iruzkin hau baliestatu behar da';
+$lang['2small'] = 'ñimiñoa';
+$lang['Anti-flood system : please wait for a moment before trying to post another comment'] = 'Anti-kolapsoa prebentzio sistema aktibatu da. Mesedez, itxaron dezan une bat beste iruzkin bat gehitu baino lehen. Orain zerbitzaria prozesatzen ari da beste erabiltzaile batzuen eskaera ugariak.';
+$lang['Any tag'] = 'Edozein etiketa';
+$lang['Are you sure?'] = 'Ekintza hau aurrera eraman nahi duzula baieztatu';
+$lang['At least one listed rule must be satisfied.'] = 'Gutxienez zerrendako critero bat ase behar du';
+$lang['Author'] = 'Egilea';
+$lang['Author: %s'] = 'Egilea: %s';
+$lang['Auto login'] = 'Gogoratzea';
+$lang['Bad request'] = 'Eskaera okerra';
+$lang['Bad status for user "guest", using default status. Please notify the webmaster.'] = 'Erroneo-a "gonbidatutako" erabiltzailearen egoera. Lehenetsitako egoera erabiltzen ari da. Mesedez, informa beza webeko administratzaileari';
+$lang['Best rated'] = 'Hobeto balioetsita';
+$lang['Browser: %s'] = 'Nabigatzailea: %s';
+$lang['Calendar'] = 'Egutegia';
+$lang['%d rates'] = '%d balioespenak';
+$lang['A comment on your site'] = 'Zure webgunearen iruzkina';
+$lang['About'] = 'Buruz';
+$lang['About Piwigo'] = 'Piwigo-ri buruz';
+$lang['Accelerate diaporama speed'] = 'Diapositiba-baimenaren abiadura handitzea';
+$lang['Add a comment'] = 'Iruzkina gehitzea';
+$lang['Admin: %s'] = 'Admin: %s';
+$lang['Administration'] = 'Administrazioa';
+$lang['Album results for'] = 'Albumen emaitzak';
+$lang['All tags'] = 'Etiketa guztiak';
+$lang['An administrator must authorize your comment before it is visible.'] = 'Administratzaile batek bere iruzkina ikusgaia izan baino lehen baliozkotu behar du.';
+$lang['%d rate'] = '%d balioespena';
+$lang['... or browse your empty gallery'] = '... edo nabiga ezazu galeriatik (momentu honetan hutsik)';
+$lang['... or please deactivate this message, I will find my way by myself'] = '... edo mesedez, mezu hau desaktiba ezazu hura nire kontura egiteko modua aurkitzeko';
+$lang['%d photo is also linked to current tags'] = '%d argazkia etiketa honekin lotuta egon da ere';
+$lang['%d photos are also linked to current tags'] = '%d argazkiak etiketa hauekin lotuta egon dira ere';
+$lang['%d photos per page'] = '%d orrialdeagatiko argazkiak';
 ?>