Index: /extensions/stripped/template/index.tpl
===================================================================
--- /extensions/stripped/template/index.tpl	(revision 26897)
+++ /extensions/stripped/template/index.tpl	(revision 26898)
@@ -7,5 +7,6 @@
 		<div class="categoryActionsContainer">
 			<ul class="categoryActions group1">
-				{if !empty($PLUGIN_INDEX_ACTIONS)}{$PLUGIN_INDEX_ACTIONS}{/if}
+        {if !empty($PLUGIN_INDEX_BUTTONS)}{foreach from=$PLUGIN_INDEX_BUTTONS item=button}<li class="mainAction">{$button}</li>{/foreach}{/if}
+        {if !empty($PLUGIN_INDEX_ACTIONS)}{$PLUGIN_INDEX_ACTIONS}{/if}
 				{if isset($U_SEARCH_RULES)}
 					{combine_script id='core.scripts' load='async' path='themes/default/js/scripts.js'}
@@ -76,5 +77,5 @@
 				</div></div>
 			{/if}
-
+      {if !empty($CONTENT)}{$CONTENT}{/if}
 			{if !empty($CATEGORIES) }{$CATEGORIES}{/if}
       {if !empty($cats_navbar)}
Index: /extensions/stripped/template/menubar_tags.tpl
===================================================================
--- /extensions/stripped/template/menubar_tags.tpl	(revision 26897)
+++ /extensions/stripped/template/menubar_tags.tpl	(revision 26898)
@@ -6,5 +6,5 @@
 			<a class="tagLevel{$tag.level}" href=
 			{if isset($tag.U_ADD)}
-				"{$tag.U_ADD}" title="{$pwg->l10n_dec('%d photo is also linked to current tags', '%d photos are also linked to current tags', $tag.counter)}" rel="nofollow">+
+				"{$tag.U_ADD}" title="{$tag.counter|translate_dec:'%d photo is also linked to current tags':'%d photos are also linked to current tags'}" rel="nofollow">+
 			{else}
 				"{$tag.URL}" title="{'display photos linked to this tag'|@translate}">
Index: /extensions/stripped/template/month_calendar.tpl
===================================================================
--- /extensions/stripped/template/month_calendar.tpl	(revision 26897)
+++ /extensions/stripped/template/month_calendar.tpl	(revision 26898)
@@ -13,5 +13,5 @@
 				{else}
 					{foreach from=$bar.items item=item}
-						<span class="calItem{if !isset($item.URL)}Empty{/if}" {if isset($item.NB_IMAGES)}title="{$pwg->l10n_dec('%d photo', '%d photos', $item.NB_IMAGES)}"{/if}>
+						<span class="calItem{if !isset($item.URL)}Empty{/if}" {if isset($item.NB_IMAGES)}title="{$item.NB_IMAGES|translate_dec:'%d photo':'%d photos'}"{/if}>
 							{if isset($item.URL)}
 								<a href="{$item.URL}">{$item.LABEL}</a>
@@ -69,5 +69,5 @@
 									<div class="calImg">
 										<a href="{$day.U_IMG_LINK}">
-											<img style="{$day.IMAGE_STYLE}" src="{$day.IMAGE}" alt="{$day.IMAGE_ALT}" title="{$pwg->l10n_dec('%d photo','%d photos', $day.NB_ELEMENTS)}">
+											<img style="{$day.IMAGE_STYLE}" src="{$day.IMAGE}" alt="{$day.IMAGE_ALT}" title="{$day.NB_ELEMENTS|translate_dec:'%d photo':'%d photos'}">
 										</a>
 									</div>
Index: /extensions/stripped/template/picture.tpl
===================================================================
--- /extensions/stripped/template/picture.tpl	(revision 26897)
+++ /extensions/stripped/template/picture.tpl	(revision 26898)
@@ -39,5 +39,7 @@
 		{strip}{if isset($PLUGIN_PICTURE_ACTIONS)}
 			<li class="plugin_buttons plugin_buttons_group1">{$PLUGIN_PICTURE_ACTIONS}</li>
-		{/if}{/strip}
+		{/if}
+    {/strip}
+    {if isset($PLUGIN_PICTURE_BUTTONS)}{foreach from=$PLUGIN_PICTURE_BUTTONS item=button}<li class="plugin_buttons plugin_buttons_group1">{$button}</li>{/foreach}{/if}
 		{strip}{if isset($U_CADDIE)}{*caddie management BEGIN*}
 			{footer_script}
@@ -155,5 +157,5 @@
 				{/if}
 				{if (isset($COMMENT_COUNT) and ($COMMENT_COUNT>0)) or isset($comment_add) }
-					<li id="tabTcomments" class="tabTitle" title="{'Add a comment'|@translate}" name="comments">{$pwg->l10n_dec('%d comment', '%d comments',$COMMENT_COUNT)}</li>
+					<li id="tabTcomments" class="tabTitle" title="{'Add a comment'|@translate}" name="comments">{$COMMENT_COUNT|translate_dec:'%d comment':'%d comments'}</li>
 				{/if}
 			</ul>
Index: /extensions/stripped/template/tags.tpl
===================================================================
--- /extensions/stripped/template/tags.tpl	(revision 26897)
+++ /extensions/stripped/template/tags.tpl	(revision 26898)
@@ -28,5 +28,5 @@
 					<div id="fullTagCloud">
 						{foreach from=$tags item=tag}
-							<span><a href="{$tag.URL}" class="tagLevel{$tag.level}" title="{$pwg->l10n_dec('%d photo', '%d photos', $tag.counter)}">{$tag.name}</a></span>
+							<span><a href="{$tag.URL}" class="tagLevel{$tag.level}" title="{$tag.counter|translate_dec:'%d photo':'%d photos'}">{$tag.name}</a></span>
 						{/foreach}
 					</div>
@@ -43,5 +43,5 @@
 												<tr class="tagLine">
 												<td><a href="{$tag.URL}">{$tag.name}</a></td>
-												<td class="nbEntries">{$pwg->l10n_dec('%d photo', '%d photos', $tag.counter)}</td>
+												<td class="nbEntries">{$tag.counter|translate_dec:'%d photo':'%d photos'}</td>
 												</tr>
 											{/foreach}
Index: /extensions/stripped/template/thumbnails.tpl
===================================================================
--- /extensions/stripped/template/thumbnails.tpl	(revision 26897)
+++ /extensions/stripped/template/thumbnails.tpl	(revision 26898)
@@ -29,10 +29,10 @@
 						{if isset($thumbnail.NB_COMMENTS)}
 							<span class="{if 0==$thumbnail.NB_COMMENTS}zero {/if}nb-comments">
-								{$pwg->l10n_dec('%d comment', '%d comments',$thumbnail.NB_COMMENTS)}
+								{$thumbnail.NB_COMMENTS|translate_dec:'%d comment':'%d comments'}
 							</span>
 						{/if}
 						{if isset($thumbnail.NB_HITS)}
 							<span class="{if 0==$thumbnail.NB_HITS}zero {/if}nb-hits">
-								{$pwg->l10n_dec('%d hit', '%d hits',$thumbnail.NB_HITS)}
+								{$thumbnail.NB_HITS|translate_dec:'%d hit':'%d hits'}
 							</span>
 						{/if}