Index: /extensions/PWG_Stuffs/trunk/admin/template/manage.tpl
===================================================================
--- /extensions/PWG_Stuffs/trunk/admin/template/manage.tpl	(revision 26907)
+++ /extensions/PWG_Stuffs/trunk/admin/template/manage.tpl	(revision 26908)
@@ -30,5 +30,5 @@
 {/literal}{/html_style}
 
-{footer_script require='jquery.ui.sortable}
+{footer_script require="jquery.ui.sortable"}
 
 {literal}
@@ -42,8 +42,8 @@
   });
   jQuery("#categoryOrdering").submit(function(){
-    ar = jQuery('.categoryUl').sortable('toArray');
+    ar = jQuery(".categoryUl").sortable("toArray");
     for(i=0;i<ar.length;i++) {
-      module = ar[i].split('module_');
-      document.getElementsByName('position[' + module[1] + ']')[0].value = i;
+      module = ar[i].split("module_");
+      document.getElementsByName("position[" + module[1] + "]")[0].value = i;
     }
   });
@@ -66,5 +66,5 @@
       <ul class="categoryActions">
         <li>
-          {'stuffs_id_ligne'|@translate}&nbsp;
+          {"stuffs_id_ligne"|@translate}&nbsp;
           <select name="id_line[{$module.ID}]">
           {html_options options=$module.ID_LINE_OPTIONS selected=$module.ID_LINE_SELECTED}
@@ -72,12 +72,12 @@
         </li>
         <li>
-          {'stuffs_width'|@translate}&nbsp;
+          {"stuffs_width"|@translate}&nbsp;
           <input type="text" size="2" maxlength="2" value="{$module.WIDTH}" name="width[{$module.ID}]" > %
         </li>
         {if empty($module.MISSING)}
-        <li><a href="{$module.U_EDIT}" title="{'stuffs_edit'|@translate}"><img src="{$themeconf.admin_icon_dir}/category_edit.png" class="button" alt="{'stuffs_edit'|@translate}"/></a></li>
+        <li><a href="{$module.U_EDIT}" title="{"stuffs_edit"|@translate}"><img src="{$themeconf.admin_icon_dir}/category_edit.png" class="button" alt="{"stuffs_edit"|@translate}"/></a></li>
         {/if}
-        {if !empty($module.U_DELETE) }
-        <li><a href="{$module.U_DELETE}" title="{'stuffs_delete'|@translate}" onclick="return confirm('{'Are you sure?'|@translate|@escape:javascript}');"><img src="{$themeconf.admin_icon_dir}/category_delete.png" class="button" alt="{'stuffs_delete'|@translate}" /></a></li>
+        {if !empty($module.U_DELETE)}
+        <li><a href="{$module.U_DELETE}" title="{"stuffs_delete"|@translate}" onclick="return confirm("{"Are you sure?"|@translate|@escape:javascript}");"><img src="{$themeconf.admin_icon_dir}/category_delete.png" class="button" alt="{"stuffs_delete"|@translate}" /></a></li>
         {/if}
       </ul>
@@ -85,5 +85,5 @@
 
       <p class="albumTitle">
-        <img src="{$themeconf.admin_icon_dir}/cat_move.png" class="button drag_button" style="display:none;" alt="{'Drag to re-order'|@translate}" title="{'Drag to re-order'|@translate}">
+        <img src="{$themeconf.admin_icon_dir}/cat_move.png" class="button drag_button" style="display:none;" alt="{"Drag to re-order"|@translate}" title="{"Drag to re-order"|@translate}">
         <strong>{if empty($module.PATH)}<span class="MainBlock">{$module.NAME}</span>{else}<a href="{$module.U_EDIT}">{$module.NAME}</a>{/if}</strong>
         {if !empty($module.TYPE_NAME)}&nbsp;-&nbsp;{$module.TYPE_NAME}{/if}
@@ -95,10 +95,10 @@
         <p class="moduleDesc"><i>{$module.DESC}</i></p>
       {elseif empty($module.PATH)}
-        <p class="moduleDesc"><input name="hidemb" type="checkbox" {if $HIDEMB}checked="checked"{/if}> &nbsp;{'Hide on home page'|@translate}</p>
+        <p class="moduleDesc"><input name="hidemb" type="checkbox" {if $HIDEMB}checked="checked"{/if}> &nbsp;{"Hide on home page"|@translate}</p>
       {/if}
 
       <p class="catPos">
         <label>
-          {'Position'|@translate} :
+          {"Position"|@translate} :
           <input type="text" size="4" name="position[{$module.ID}]" maxlength="4" value="{$module.POS}">
         </label>
@@ -110,5 +110,5 @@
   <p style="text-align: center;">
   <br />
-    <input class="submit" name="submitOrder" type="submit" value="{'Save order'|@translate}" />
+    <input class="submit" name="submitOrder" type="submit" value="{"Save order"|@translate}" />
   </p>
 </form>