Index: /trunk/admin/include/plugins.class.php
===================================================================
--- /trunk/admin/include/plugins.class.php	(revision 26908)
+++ /trunk/admin/include/plugins.class.php	(revision 26909)
@@ -510,5 +510,5 @@
     * @param string - plugin id or extension id
    */
-  function extract_plugin_files($action, $revision, $dest)
+  function extract_plugin_files($action, $revision, $dest, &$plugin_id=null)
   {
     if ($archive = tempnam( PHPWG_PLUGINS_PATH, 'zip'))
@@ -542,11 +542,12 @@
             if ($action == 'upgrade')
             {
-              $extract_path = PHPWG_PLUGINS_PATH . $dest;
+              $plugin_id = $dest;
             }
             else
             {
-              $extract_path = PHPWG_PLUGINS_PATH
-                  . ($root == '.' ? 'extension_' . $dest : basename($root));
+              $plugin_id = ($root == '.' ? 'extension_' . $dest : basename($root));
             }
+            $extract_path = PHPWG_PLUGINS_PATH . $plugin_id;
+
             if($result = $zip->extract(PCLZIP_OPT_PATH, $extract_path,
                                        PCLZIP_OPT_REMOVE_PATH, $root,
Index: /trunk/admin/plugins_new.php
===================================================================
--- /trunk/admin/plugins_new.php	(revision 26908)
+++ /trunk/admin/plugins_new.php	(revision 26909)
@@ -46,7 +46,7 @@
     check_pwg_token();
     
-    $install_status = $plugins->extract_plugin_files('install', $_GET['revision'], $_GET['extension']);
+    $install_status = $plugins->extract_plugin_files('install', $_GET['revision'], $_GET['extension'], $plugin_id);
 
-    redirect($base_url.'&installstatus='.$install_status);
+    redirect($base_url.'&installstatus='.$install_status.'&plugin_id='.$plugin_id);
   }
 }
@@ -58,6 +58,11 @@
   {
     case 'ok':
+      $activate_url = get_root_url().'admin.php?page=plugins'
+        . '&amp;plugin=' . $_GET['plugin_id']
+        . '&amp;pwg_token=' . get_pwg_token()
+        . '&amp;action=activate';
+
       $page['infos'][] = l10n('Plugin has been successfully copied');
-      $page['infos'][] = l10n('You might go to plugin list to install and activate it.');
+      $page['infos'][] = '<a href="'. $activate_url . '">' . l10n('Activate it now') . '</a>';
       break;
 
Index: /trunk/language/en_UK/admin.lang.php
===================================================================
--- /trunk/language/en_UK/admin.lang.php	(revision 26908)
+++ /trunk/language/en_UK/admin.lang.php	(revision 26909)
@@ -120,4 +120,5 @@
 $lang['Activate Navigation Thumbnails'] = 'Activate navigation thumbnails';
 $lang['Activate'] = "Activate";
+$lang['Activate it now'] = 'Activate it now';
 $lang['Active Languages'] = 'Active Languages';
 $lang['Active Plugins'] = 'Active Plugins';
@@ -945,5 +946,4 @@
 $lang['You have subscribed to receiving notifications by mail.'] = "You have subscribed to receive notifications by mail.";
 $lang['You have unsubscribed from receiving notifications by mail.'] = "You have unsubscribed from being notified by mail.";
-$lang['You might go to plugin list to install and activate it.'] = "Go to the plugins list to install and activate it.";
 $lang['You need to confirm deletion'] = "You must confirm deletion";
 $lang['You need to upgrade your system to take full advantage of the application else the application will not work correctly, or not at all'] = "You should upgrade your system to take full advantage of the application, otherwise the application could work improperly, or not at all";
Index: /trunk/language/fr_FR/admin.lang.php
===================================================================
--- /trunk/language/fr_FR/admin.lang.php	(revision 26908)
+++ /trunk/language/fr_FR/admin.lang.php	(revision 26909)
@@ -481,5 +481,4 @@
 $lang['Are you sure to install this upgrade? You must verify if this version does not need uninstallation.'] = "Etes-vous sur de vouloir installer cette mise à jour? Vous devez vérifiez que cette mise à jour ne nécessite pas de désinstallation préalable.";
 $lang['Plugin has been successfully copied'] = "Le plugin a été copié avec succès.";
-$lang['You might go to plugin list to install and activate it.'] = "Rendez-vous dans la liste des plugins pour l'installer et l'activer.";
 $lang['Can\'t create temporary file.'] = "Impossible de créer un fichier temporaire.";
 $lang['Can\'t download archive.'] = "Impossible de télécharger l'archive.";
@@ -977,3 +976,4 @@
 $lang['Close user details'] = 'Fermer les détails de l\'utilisateur';
 $lang['close'] = 'fermer';
+$lang['Activate it now'] = 'Activate it now';
 ?>