Index: /extensions/Slide/js/slide.js
===================================================================
--- /extensions/Slide/js/slide.js	(revision 26914)
+++ /extensions/Slide/js/slide.js	(revision 26915)
@@ -174,31 +174,19 @@
 // removal/edit comment
 		$(document).on('click', '.actions a', function(e){
-			var e		= $(this),
-				confi 	= e.attr('confirm');
-			if(e.hasClass('delet')){
-				if (confirm(confi)) {
-					_rem_ed(e);
+			var $a		= $(this);
+			if($a.hasClass('delet')){
+				var	$confi 	= $a.attr('confirm');
+				if (confirm($confi)) {
+					_rem_ed($a);
 				};
 			}
-			if(e.hasClass('annul')){
-				var href = e.attr('href') + ' #comments';
-				$('#comments').addClass('unwrap').load(href, function(){
-					$('.unwrap').children().unwrap();
-				});
-			}
-			if(e.hasClass('editComment')){
-				_rem_ed(e);
-			};
-			e.preventDefault();
-		});
-
+			_rem_ed($a);
+			e.preventDefault();
+		});
+		
 //Change the order of comments
 		$(document).on('click', '.commentsOrder', function(e){
-			$.ajax({  
-				url		: $(this).attr('href'), 
-				success	: function(html){
-					_comment_reload(html)
-						}
-			});
+			var $a		= $(this);
+			_rem_ed($a);
 			e.preventDefault();
 		});
@@ -206,18 +194,18 @@
 //edit profil		
 		$(document).on('click', '#profile input[name=reset_to_default]', function(e){
-			var profil	 	= $('#profile'),
-				profilhref	= profil.attr('action'),
-				profilmet	= profil.attr('method'),
-				profilser	= profil.serialize(),
-				profilval	= $(this).attr('value'),
-				profilnam	= $(this).attr('name'),
-			data = profilser + '&' + profilnam + '=' + profilval;
+			var $profil	 	= $('#profile'),
+				$profilhref	= $profil.attr('action'),
+				$profilmet	= $profil.attr('method'),
+				$profilser	= $profil.serialize(),
+				$profilval	= $(this).attr('value'),
+				$profilnam	= $(this).attr('name'),
+				$data = $profilser + '&' + $profilnam + '=' + $profilval;
 				$.ajax({           
-					url		: profilhref, 
-					type	: profilmet, 
-					data	: data, 
+					url		: $profilhref, 
+					type	: $profilmet, 
+					data	: $data, 
 					success	: function(html) {
-						var content = $(html).find('#profile');
-						profil.replaceWith(content)
+						var $content = $(html).find('#profile');
+						$profil.replaceWith($content)
 					}
 				});			
@@ -227,18 +215,18 @@
 // search page
 		$(document).on('submit', '.theSearchPage .filter', function(e){
-			var sch 	= $('.filter'),
-			schmet 	= sch.attr('method'),
-			schser	= sch.serialize(),
-			schhref = sch.attr('action');
-			schser = schser+"&submit=Valide";
+			var $sch 		= $('.filter'),
+				$schmet 	= $sch.attr('method'),
+				$schser		= $sch.serialize(),
+				$schhref	= $sch.attr('action');
+				$schser 	= $schser+"&submit=Valide";
 			$.ajax({           
-				url		: schhref, 
-				type	: schmet, 
-				data	: schser, 
+				url		: $schhref, 
+				type	: $schmet, 
+				data	: $schser, 
 				success	: function(html){
-					var e = $(html).find('.errors');
-					if(e.length){
-						var inf = e.text()
-						_message(inf);
+					var $e = $(html).find('.errors');
+					if($e.leng$th){
+						var $inf = $e.text();
+						_message($inf);
 					} else {
 						var $href 		= $(html).find('.titrePage h2 a:nth-child(2)').attr('href'),
@@ -257,12 +245,12 @@
 //comment page
 		$(document).on('submit', '.theCommentsPage .filter',  function(e){
-			var com 	= $('.filter'),
-				commet 	= com.attr('method'),
-				comser	= com.serialize(), 
-				comhref = com.attr('action');
+			var $com 		= $('.filter'),
+				$commet 	= $com.attr('method'),
+				$comser		= $com.serialize(), 
+				$comhref 	= $com.attr('action');
 			$.ajax({           
-				url		: comhref, 
-				type	: commet, 
-				data	: comser, 
+				url		: $comhref, 
+				type	: $commet, 
+				data	: $comser, 
 				success	: function(html){
 					var $layerShow 		= $('body').data('layerShow'),
@@ -544,5 +532,10 @@
 		function _load_slideshow($href,$slideW) {
 			$('#slideshow').empty().addClass('slideloader');
-			$.getScript('themes/Slide/js/slideshow.js');
+			if (!$('#slideshow').hasClass('slideshowReady')) {
+				$.getScript('themes/Slide/js/slideshow.js', function(){
+					$('#slideshow').addClass('slideshowReady');
+				});
+			};
+			
 			$.ajax({
 				url 	: $href,
@@ -572,4 +565,9 @@
 		};
 
+		function _stock_img($href,$title){
+			var $img = {src : $href  , title : $title , descr : $title};
+			$slideshow.push($img);
+		};
+		
 		function _tabs_dragbar() {
 			var $layerShow 	= $('body').data('layerShow');
@@ -588,9 +586,4 @@
 		};
 		
-		function _stock_img($href,$title){
-			var $img = {image : $href  , title : $title , descr : $title};
-			$slideshow.push($img);
-		};
-
 		function _close($tabClick) {
 			var $layerBack	= $tabClick.parent(),
@@ -646,8 +639,7 @@
 
 		function _rem_ed(e) {
-			var c = e.attr('class'),
-				href = e.attr('href');
+			var $href = e.attr('href');
 			$.ajax({  
-				url		: href, 
+				url		: $href, 
 				success	: function(html){
 				_comment_reload(html)
@@ -699,5 +691,4 @@
 			var $com 		= $(html).find('#comments'),
 				$layerShow 	= $('body').data('layerShow');
-				console.log($com);
 			$('#comments', $layerShow).replaceWith($com);
 		};
Index: /extensions/Slide/js/slideshow.js
===================================================================
--- /extensions/Slide/js/slideshow.js	(revision 26914)
+++ /extensions/Slide/js/slideshow.js	(revision 26915)
@@ -53,19 +53,11 @@
 			
 			$(ele).data('e',v_ele); 
-			$(ele).width(options.width).height(options.height).addClass(options.styleSlideshow + ' slideshow').append($('<div />').addClass('slidecontent').append($('<div />').addClass('contener_slideshow').append($('<ul />'))).append($('<div/>').addClass('control_slideshow')));
-			
-			
-			
-	/*		$(window).load(function(){
-				$(ele).removeClass('slideloader');
-				$('.slidecontent', ele).animate({
-					opacity: 1
-				},400);
-			});*/
-			
+			$(ele).width(options.width).height(options.height).addClass(options.styleSlideshow + ' slideshow').append($('<div />').addClass('slidecontent').append($('<div />').addClass('contener_slideshow').append($('<ul />').height(cont_h))).append($('<div/>').addClass('control_slideshow')));
+			
+						
 			//mise en place des images
 			$(document).ready(function(){
 				$.each(options.imgs, function(i, img){
-					var imag		= img.image,
+					var imag		= img.src,
 						alt 		= img.alt,
 						title		= img.title,
@@ -73,64 +65,73 @@
 						descr		= img.descr;
 						
-					if(typeof descr === 'undefined'){	
-						var divDescr	= ""
+						if(typeof descr === 'undefined'){	
+							var divDescr	= ""
+						}else{
+							var	divDescr	=[$('<div />').addClass('descr').html(descr)]
+						};
+						
+						if(typeof url === 'undefined'){
+							var blockImg 	= [$('<div />').append(divDescr).append($('<img />').attr({'src':imag , 'alt':alt , 'title':title }))]
+						}else{
+							var	blockImg	= [$('<a />').attr({'href':url , 'target':options.target}).append(divDescr).append($('<img />').attr({'src':imag , 'alt':alt , 'title':title }))]
+						}
+						
+				$('ul',ele).append($('<li />').addClass('img-' + i).append($('<div />').addClass('contenerImg').width(options.width).height(cont_h).append(blockImg)));
+	
+
+				});
+
+			_resizeSlideshowImag()	;
+	
+		//resize and center image_____________________________________________________________________________________________________
+				
+				function _resizeSlideshowImag (){
+					var e = $('ul',ele);
+					
+					e.each(function(){
+						
+					var $img		= e.find('img'),
+						$descr		= e.find('.descr'),
+						$img_w 		= $img.width(),
+						$img_h 		= $img.height(),
+						$img_r 		= $img_h/$img_w,
+						$box_h 		= cont_h,
+						$box_w 		= options.width,
+						$box_r 		= $box_h/$box_w,
+						$new_h,
+						$new_w;
+
+					
+					if(($img_h > $box_h) || ($img_w > $box_w)){
+						if($box_r < $img_r){
+							$new_h 	= $box_h - 30;
+							$new_w 	= $box_h / $img_r
+						}else{
+							$new_h 	= ($box_w * $img_r) - 30;
+							$new_w 	= $box_w
+						};
+
 					}else{
-						var	divDescr	=[$('<div />').addClass('descr').html(descr)]
-					};
-					
-					if(typeof url === 'undefined'){
-						var blockImg = [$('<div />').append(divDescr).append($('<img />').attr({'src':imag , 'alt':alt , 'title':title }))]
-					}else{
-						var	blockImg	=[$('<a />').attr({'href':url , 'target':options.target}).append(divDescr).append($('<img />').attr({'src':imag , 'alt':alt , 'title':title }))]
-					}
-					
-					$('ul',ele).height(cont_h);
-					$('ul',ele).append($('<li />').addClass('img-' + i).append($('<div />').addClass('contenerImg').width(options.width).height(cont_h).append(blockImg)))
+						$new_h 	= $img_h;
+						$new_w	= $img_w;
+					};
+					var $left	= ($(ele).data('e').s_w / 2)-($new_w / 2) + 'px',
+						$top	= ($box_h / 2)-($new_h / 2) + 'px';
+						
+					$img.css({
+						width	: $new_w + 'px',
+						height	: $new_h + 'px',
+						left	: $left,
+						top		: $top,
+					});
+					$descr.css(
+						{
+						left	: $left,
+						width	: $new_w + 'px',
+						height	: $new_h/4,
+						bottom	: (($box_h / 2)-($new_h / 2)) + 'px',
+					})
 				})
-
-		//resize and center image_____________________________________________________________________________________________________
-				$('.contenerImg',ele).each(function(){
-					var img			= $(this).find('img'),
-						img_w 		= $(this).find('img').width(),
-						img_h 		= $(this).find('img').height(),
-						img_r 		= img_h/img_w,
-						box_h 		= $(this).height(),
-						box_w 		= $(this).width(),
-						box_r 		= box_h/box_w,
-						new_h,
-						new_w;
-					
-					if((img_h > box_h) || (img_w > box_w)){
-						if(box_r < img_r){
-							new_h 	= box_h - 30;
-							new_w 	= box_h / img_r
-						}else{
-							new_h 	= (box_w * img_r) - 30;
-							new_w 	= box_w
-						};
-						img.css({
-							width	: new_w + 'px',
-							height	: new_h + 'px'
-						})
-					}else{
-						new_h 	= img_h;
-						new_w	= img_w;
-					};
-					var left	= ($(ele).data('e').s_w / 2)-(new_w / 2) + 'px',
-						top		= (box_h / 2)-(new_h / 2) + 'px',
-						descr	= $(this).find('.descr');
-					img.css({
-						left	: left,
-						top		: top,
-					});
-					descr.css(
-						{
-						left	: left,
-						width	: new_w + 'px',
-						height	: new_h/4,
-						bottom	: ((box_h / 2)-(new_h / 2)) + 'px',
-					})
-				});
-				
+				};
 //slide_____________________________________________________________________________________________
 				if(options.styleSlideshow == 'Slide'){
@@ -149,7 +150,7 @@
 			
 //bouton play/pause________________________________________________________________________________________________________________________
-			if(options.displayPlayPause == true){
-				$('.control_slideshow', ele).append($('<div />').addClass('slideshow_control'))
-			};
+				if(options.displayPlayPause == true){
+					$('.control_slideshow', ele).append($('<div />').addClass('slideshow_control'))
+				};
 
 //auto démarage____________________________________________________________________________________________________________
@@ -187,5 +188,5 @@
 						$('.clt_thumb', ele).hide()
 					};
-					var resize_thumb_w 		= ((options.width-(n_thumb * 6))/n_thumb),
+					var resize_thumb_w 		= ((options.width-(n_thumb * 5))/n_thumb),
 						r 					= options.thumb_width/options.thumb_height,
 						rezise_thumb_h		= resize_thumb_w / r,
@@ -195,5 +196,5 @@
 					$('.link', ele).append($('<div />').addClass('nav-thumb-content').height(rezise_thumb_h + 10).width(navThumb_w));
 					$.each(options.imgs, function(i, img){
-						var imag	= img.image;
+						var imag	= img.src;
 						$('.nav-thumb-content', ele).append($('<span />').addClass('slideshow-' + i + ' nav-link slideshow-thumb').attr('imag', i).width(resize_thumb_w).height(rezise_thumb_h).append($('<img />').attr({'class':'thumb','src':imag})));
 					});
@@ -271,23 +272,40 @@
 			});
 			
-//mouse over_______________________________________________________________________________________________________________________________________________
-		$('.contener_slideshow', ele).hover(function() {
-		$(ele).data('e').playOnT = $(ele).data('e').playOn;
+//mouse over image_______________________________________________________________________________________________________________________________________________
+		$('.contener_slideshow', ele).find('img').hover(function() {
+			$(ele).data('e').playOnT = $(ele).data('e').playOn;
 			if($(ele).data('e').playOn == true){
 				$(ele).data('e').playOn = false;
 				_pause(ele);
 			}
-			$(this).find('.descr').slideDown(200, function() {
+			$(this).parent().find('.descr').slideDown(200, function() {
 				$(this).clearQueue();
 			});	
 		}, function() {
-				if ($(ele).data('e').playOnT == true){
-					$(ele).data('e').playOn = true;
-					_start(ele)
-				}
-				$(this).find('.descr').slideUp(200, function() {
-					$(this).clearQueue();
-				});
-		});		
+			if ($(ele).data('e').playOnT == true){
+				$(ele).data('e').playOn = true;
+				_start(ele)
+			}
+			$(this).parent().find('.descr').slideUp(200, function() {
+				$(this).clearQueue();
+			});
+		});	
+		
+//mouse over nav
+		$('.nav', ele).hover(function() {
+			$(ele).data('e').playOnT = $(ele).data('e').playOn;
+			if($(ele).data('e').playOn == true){
+				$(ele).data('e').playOn = false;
+				_pause(ele);
+			}
+			
+		}, function() {
+			if ($(ele).data('e').playOnT == true){
+				$(ele).data('e').playOn = true;
+				_start(ele)
+			}
+		});
+
+		
 //nav thumb________________________________________________________________________________________________________________________________________________
 			$('.thumb-right',ele).on('mousedown',function(){
@@ -372,5 +390,5 @@
 			};
 
-
+		
 //stop animation______________________________________________________________________________________________________________________________			
 			function _pause(ele) {
@@ -406,5 +424,6 @@
 			function _thumbSlide(ele) {
 				if(options.navType == 'thumb'){
-					var a = ($(ele).data('e').i_img)/$(ele).data('e').n_thumb;
+					var a 				= ($(ele).data('e').i_img)/$(ele).data('e').n_thumb,
+						thumbcontent 	= $('.nav-thumb-content', ele);
 					if(a < 0){
 						a = 0
@@ -412,13 +431,15 @@
 					$(ele).data('e').thumb_i = Math.floor(a);
 					var m_r = ( $(ele).data('e').thumb_i)* $(ele).data('e').s_w;
-					if ( m_r > $('.nav-thumb-content', ele).width() - $('.nav-thumb-slide', ele).width()){
-						m_r = $('.nav-thumb-content', ele).width() - $('.nav-thumb-slide', ele).width();
-					};
-					var n_p = $('.nav-thumb-content', ele).position();
-					if ( n_p.left != m_r){
-						$('.nav-thumb-content', ele).animate({
-								left : - m_r
-						})
-					}
+					if ( m_r > thumbcontent.width() - $('.nav-thumb-slide', ele).width()){
+						m_r = thumbcontent.width() - $('.nav-thumb-slide', ele).width();
+					};
+					var n_p = thumbcontent.position();
+					if($('.link:hover', ele).length == 0){
+						if ( n_p.left != m_r ){
+							$('.nav-thumb-content', ele).animate({
+									left : - m_r
+							})
+						};
+					};
 				}
 			};
Index: /extensions/Slide/theme.css
===================================================================
--- /extensions/Slide/theme.css	(revision 26914)
+++ /extensions/Slide/theme.css	(revision 26915)
@@ -905,5 +905,5 @@
 	cursor:						pointer;
 	position:					absolute;
-	width:						20%;
+	width:						10%;
 	top:						0;
 	min-width:					30px