Index: extensions/EasyCaptcha/template/comment.tpl
===================================================================
--- extensions/EasyCaptcha/template/comment.tpl	(revision 26868)
+++ extensions/EasyCaptcha/template/comment.tpl	(revision 26923)
@@ -3,9 +3,9 @@
 {* <!-- DRAG & DROP --> *}
 {if $EASYCAPTCHA.challenge == 'drag'}
-<p><label>{'To verify you are a human, please place the <b>%s</b> in the most right box bellow.'|translate:$EASYCAPTCHA.drag.text}</label></p>
+<p><label class="easycaptcha_hint">{'To verify you are a human, please place the <b>%s</b> in the most right box bellow.'|translate:$EASYCAPTCHA.drag.text}</label></p>
 
 {* <!-- TIC TAC TOE --> *}
 {else if $EASYCAPTCHA.challenge == 'tictac'}
-<p><label>{'You are player X, click on the right case to complete the line.'|translate}</label></p>
+<p><label class="easycaptcha_hint">{'You are player X, click on the right case to complete the line.'|translate}</label></p>
 
 {/if}
Index: extensions/EasyCaptcha/template/contactform.tpl
===================================================================
--- extensions/EasyCaptcha/template/contactform.tpl	(revision 26868)
+++ extensions/EasyCaptcha/template/contactform.tpl	(revision 26923)
@@ -6,5 +6,5 @@
   <td class="title"></td>
   <td>
-    {'To verify you are a human, please place the <b>%s</b> in the most right box bellow.'|translate:$EASYCAPTCHA.drag.text}
+    <span class="easycaptcha_hint">{'To verify you are a human, please place the <b>%s</b> in the most right box bellow.'|translate:$EASYCAPTCHA.drag.text}</span>
     {$smarty.capture.easycaptcha}
   </td>
@@ -19,5 +19,5 @@
   <td class="title"></td>
   <td>
-    {'You are player X, click on the right case to complete the line.'|translate}
+    <span class="easycaptcha_hint">{'You are player X, click on the right case to complete the line.'|translate}</span>
     {$smarty.capture.easycaptcha}
   </td>
Index: extensions/EasyCaptcha/template/guestbook.tpl
===================================================================
--- extensions/EasyCaptcha/template/guestbook.tpl	(revision 26868)
+++ extensions/EasyCaptcha/template/guestbook.tpl	(revision 26923)
@@ -4,5 +4,5 @@
   {* <!-- DRAG & DROP --> *}
   {if $EASYCAPTCHA.challenge == 'drag'}
-  <td colspan=2><label>{'To verify you are a human, please place the <b>%s</b> in the most right box bellow.'|translate:$EASYCAPTCHA.drag.text}</label></td>
+  <td colspan=2><label class="easycaptcha_hint">{'To verify you are a human, please place the <b>%s</b> in the most right box bellow.'|translate:$EASYCAPTCHA.drag.text}</label></td>
 
   {footer_script}
@@ -13,5 +13,5 @@
   {* <!-- TIC TAC TOE --> *}
   {else if $EASYCAPTCHA.challenge == 'tictac'}
-  <td colspan=2><label>{'You are player X, click on the right case to complete the line.'|translate}</label></td>
+  <td colspan=2><label class="easycaptcha_hint">{'You are player X, click on the right case to complete the line.'|translate}</label></td>
 
   {footer_script}
Index: extensions/EasyCaptcha/template/register.tpl
===================================================================
--- extensions/EasyCaptcha/template/register.tpl	(revision 26868)
+++ extensions/EasyCaptcha/template/register.tpl	(revision 26923)
@@ -5,9 +5,9 @@
   {* <!-- DRAG & DROP --> *}
   {if $EASYCAPTCHA.challenge == 'drag'}
-  <span class="property"><label>{'To verify you are a human, please place the <b>%s</b> in the most right box bellow.'|translate:$EASYCAPTCHA.drag.text}</label></span>
+  <span class="property"><label class="easycaptcha_hint">{'To verify you are a human, please place the <b>%s</b> in the most right box bellow.'|translate:$EASYCAPTCHA.drag.text}</label></span>
 
   {* <!-- TIC TAC TOE --> *}
   {else if $EASYCAPTCHA.challenge == 'tictac'}
-  <span class="property"><label>{'You are player X, click on the right case to complete the line.'|translate}</label></span>
+  <span class="property"><label class="easycaptcha_hint">{'You are player X, click on the right case to complete the line.'|translate}</label></span>
 
   {/if}