Index: /extensions/Picasa2Piwigo/Picasa2Piwigo/Language/WinFormStrings.da.resx
===================================================================
--- /extensions/Picasa2Piwigo/Picasa2Piwigo/Language/WinFormStrings.da.resx	(revision 26935)
+++ /extensions/Picasa2Piwigo/Picasa2Piwigo/Language/WinFormStrings.da.resx	(revision 26936)
@@ -202,5 +202,5 @@
   </data>
   <data name="MFVersionStrRes" xml:space="preserve">
-    <value>Picasa2Piwigo - Version 1,2 - KenL</value>
+    <value>Picasa2Piwigo - Version 1,3 - KenL</value>
     <comment>Picasa2Piwigo - Version 1.1 - KenL</comment>
   </data>
Index: /extensions/Picasa2Piwigo/Picasa2Piwigo/Language/WinFormStrings.de.resx
===================================================================
--- /extensions/Picasa2Piwigo/Picasa2Piwigo/Language/WinFormStrings.de.resx	(revision 26935)
+++ /extensions/Picasa2Piwigo/Picasa2Piwigo/Language/WinFormStrings.de.resx	(revision 26936)
@@ -202,5 +202,5 @@
   </data>
   <data name="MFVersionStrRes" xml:space="preserve">
-    <value>Picasa2Piwigo - Version 1.2 - KenL</value>
+    <value>Picasa2Piwigo - Version 1.3 - KenL</value>
     <comment>Picasa2Piwigo - Version 1.1 - KenL</comment>
   </data>
Index: /extensions/Picasa2Piwigo/Picasa2Piwigo/Language/WinFormStrings.fr.resx
===================================================================
--- /extensions/Picasa2Piwigo/Picasa2Piwigo/Language/WinFormStrings.fr.resx	(revision 26935)
+++ /extensions/Picasa2Piwigo/Picasa2Piwigo/Language/WinFormStrings.fr.resx	(revision 26936)
@@ -221,5 +221,5 @@
   </data>
   <data name="MFVersionStrRes" xml:space="preserve">
-    <value>Picasa2Piwigo - Version 1.2 - KenL</value>
+    <value>Picasa2Piwigo - Version 1.3 - KenL</value>
   </data>
   <data name="OFCancelButtonStrRes" xml:space="preserve">
Index: /extensions/Picasa2Piwigo/Picasa2Piwigo/Language/WinFormStrings.hu.resx
===================================================================
--- /extensions/Picasa2Piwigo/Picasa2Piwigo/Language/WinFormStrings.hu.resx	(revision 26935)
+++ /extensions/Picasa2Piwigo/Picasa2Piwigo/Language/WinFormStrings.hu.resx	(revision 26936)
@@ -202,5 +202,5 @@
   </data>
   <data name="MFVersionStrRes" xml:space="preserve">
-    <value>Picasa2Piwigo - 1.2 verzió - KenL</value>
+    <value>Picasa2Piwigo - 1.3 verzió - KenL</value>
     <comment>Picasa2Piwigo - Version 1.1 - KenL</comment>
   </data>
Index: /extensions/Picasa2Piwigo/Picasa2Piwigo/Language/WinFormStrings.it.resx
===================================================================
--- /extensions/Picasa2Piwigo/Picasa2Piwigo/Language/WinFormStrings.it.resx	(revision 26935)
+++ /extensions/Picasa2Piwigo/Picasa2Piwigo/Language/WinFormStrings.it.resx	(revision 26936)
@@ -202,5 +202,5 @@
   </data>
   <data name="MFVersionStrRes" xml:space="preserve">
-    <value>Picasa2Piwigo - Versione 1.2 - KenL</value>
+    <value>Picasa2Piwigo - Versione 1.3 - KenL</value>
     <comment>Picasa2Piwigo - Version 1.1 - KenL</comment>
   </data>
Index: /extensions/Picasa2Piwigo/Picasa2Piwigo/Language/WinFormStrings.nl.resx
===================================================================
--- /extensions/Picasa2Piwigo/Picasa2Piwigo/Language/WinFormStrings.nl.resx	(revision 26935)
+++ /extensions/Picasa2Piwigo/Picasa2Piwigo/Language/WinFormStrings.nl.resx	(revision 26936)
@@ -202,5 +202,5 @@
   </data>
   <data name="MFVersionStrRes" xml:space="preserve">
-    <value>Picasa2Piwigo - Versie 1.2 - KenL</value>
+    <value>Picasa2Piwigo - Versie 1.3 - KenL</value>
     <comment>Picasa2Piwigo - Version 1.1 - KenL</comment>
   </data>
Index: /extensions/Picasa2Piwigo/Picasa2Piwigo/Language/WinFormStrings.pl.resx
===================================================================
--- /extensions/Picasa2Piwigo/Picasa2Piwigo/Language/WinFormStrings.pl.resx	(revision 26935)
+++ /extensions/Picasa2Piwigo/Picasa2Piwigo/Language/WinFormStrings.pl.resx	(revision 26936)
@@ -202,5 +202,5 @@
   </data>
   <data name="MFVersionStrRes" xml:space="preserve">
-    <value>Picasa2Piwigo - Wersja 1.2 - KENL</value>
+    <value>Picasa2Piwigo - Wersja 1.3 - KENL</value>
     <comment>Picasa2Piwigo - Version 1.1 - KenL</comment>
   </data>
Index: /extensions/Picasa2Piwigo/Picasa2Piwigo/Language/WinFormStrings.ru.resx
===================================================================
--- /extensions/Picasa2Piwigo/Picasa2Piwigo/Language/WinFormStrings.ru.resx	(revision 26935)
+++ /extensions/Picasa2Piwigo/Picasa2Piwigo/Language/WinFormStrings.ru.resx	(revision 26936)
@@ -202,5 +202,5 @@
   </data>
   <data name="MFVersionStrRes" xml:space="preserve">
-    <value>Picasa2Piwigo - Версия 1.2 - KenL</value>
+    <value>Picasa2Piwigo - Версия 1.3 - KenL</value>
     <comment>Picasa2Piwigo - Version 1.1 - KenL</comment>
   </data>
Index: /extensions/Picasa2Piwigo/Picasa2Piwigo/Language/WinFormStrings.tr.resx
===================================================================
--- /extensions/Picasa2Piwigo/Picasa2Piwigo/Language/WinFormStrings.tr.resx	(revision 26935)
+++ /extensions/Picasa2Piwigo/Picasa2Piwigo/Language/WinFormStrings.tr.resx	(revision 26936)
@@ -202,5 +202,5 @@
   </data>
   <data name="MFVersionStrRes" xml:space="preserve">
-    <value>Picasa2Piwigo - Sürüm 1.2 - KenL</value>
+    <value>Picasa2Piwigo - Sürüm 1.3 - KenL</value>
     <comment>Picasa2Piwigo - Version 1.1 - KenL</comment>
   </data>
Index: /extensions/Picasa2Piwigo/Picasa2Piwigo/Language/WinFormStrings.zh.Designer.cs
===================================================================
--- /extensions/Picasa2Piwigo/Picasa2Piwigo/Language/WinFormStrings.zh.Designer.cs	(revision 26935)
+++ /extensions/Picasa2Piwigo/Picasa2Piwigo/Language/WinFormStrings.zh.Designer.cs	(revision 26936)
@@ -1,549 +1,0 @@
-﻿//------------------------------------------------------------------------------
-// <auto-generated>
-//     This code was generated by a tool.
-//     Runtime Version:2.0.50727.3053
-//
-//     Changes to this file may cause incorrect behavior and will be lost if
-//     the code is regenerated.
-// </auto-generated>
-//------------------------------------------------------------------------------
-
-namespace Picasa2Piwigo.Language {
-    using System;
-    
-    
-    /// <summary>
-    ///   A strongly-typed resource class, for looking up localized strings, etc.
-    /// </summary>
-    // This class was auto-generated by the StronglyTypedResourceBuilder
-    // class via a tool like ResGen or Visual Studio.
-    // To add or remove a member, edit your .ResX file then rerun ResGen
-    // with the /str option, or rebuild your VS project.
-    [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Resources.Tools.StronglyTypedResourceBuilder", "2.0.0.0")]
-    [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
-    [global::System.Runtime.CompilerServices.CompilerGeneratedAttribute()]
-    internal class WinFormStrings_zh {
-        
-        private static global::System.Resources.ResourceManager resourceMan;
-        
-        private static global::System.Globalization.CultureInfo resourceCulture;
-        
-        [global::System.Diagnostics.CodeAnalysis.SuppressMessageAttribute("Microsoft.Performance", "CA1811:AvoidUncalledPrivateCode")]
-        internal WinFormStrings_zh() {
-        }
-        
-        /// <summary>
-        ///   Returns the cached ResourceManager instance used by this class.
-        /// </summary>
-        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Advanced)]
-        internal static global::System.Resources.ResourceManager ResourceManager {
-            get {
-                if (object.ReferenceEquals(resourceMan, null)) {
-                    global::System.Resources.ResourceManager temp = new global::System.Resources.ResourceManager("Picasa2Piwigo.Language.WinFormStrings.zh", typeof(WinFormStrings_zh).Assembly);
-                    resourceMan = temp;
-                }
-                return resourceMan;
-            }
-        }
-        
-        /// <summary>
-        ///   Overrides the current thread's CurrentUICulture property for all
-        ///   resource lookups using this strongly typed resource class.
-        /// </summary>
-        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Advanced)]
-        internal static global::System.Globalization.CultureInfo Culture {
-            get {
-                return resourceCulture;
-            }
-            set {
-                resourceCulture = value;
-            }
-        }
-        
-        /// <summary>
-        ///   Looks up a localized string similar to Chinese.
-        /// </summary>
-        internal static string A_Language {
-            get {
-                return ResourceManager.GetString("A_Language", resourceCulture);
-            }
-        }
-        
-        /// <summary>
-        ///   Looks up a localized string similar to 将照片添加到新专辑完成。.
-        /// </summary>
-        internal static string AddNewCompleteStrRes {
-            get {
-                return ResourceManager.GetString("AddNewCompleteStrRes", resourceCulture);
-            }
-        }
-        
-        /// <summary>
-        ///   Looks up a localized string similar to 添加到专辑完整。.
-        /// </summary>
-        internal static string AddToAlbumStrRes {
-            get {
-                return ResourceManager.GetString("AddToAlbumStrRes", resourceCulture);
-            }
-        }
-        
-        /// <summary>
-        ///   Looks up a localized string similar to 专辑中已经存在的Piwigo。请选择一个不同的专辑名称。.
-        /// </summary>
-        internal static string AlbumExistsStrRes {
-            get {
-                return ResourceManager.GetString("AlbumExistsStrRes", resourceCulture);
-            }
-        }
-        
-        /// <summary>
-        ///   Looks up a localized string similar to 错误：空白专辑名称.
-        /// </summary>
-        internal static string BlankAlbumNameStrRes {
-            get {
-                return ResourceManager.GetString("BlankAlbumNameStrRes", resourceCulture);
-            }
-        }
-        
-        /// <summary>
-        ///   Looks up a localized string similar to 检查服务器连接....
-        /// </summary>
-        internal static string CheckServerConnStrRes {
-            get {
-                return ResourceManager.GetString("CheckServerConnStrRes", resourceCulture);
-            }
-        }
-        
-        /// <summary>
-        ///   Looks up a localized string similar to 错误：选择要上传的照片数可能过大。请重新尝试用一个较小的数量的照片。.
-        /// </summary>
-        internal static string CommandLineTooLongStrRes {
-            get {
-                return ResourceManager.GetString("CommandLineTooLongStrRes", resourceCulture);
-            }
-        }
-        
-        /// <summary>
-        ///   Looks up a localized string similar to 创建新的相册....
-        /// </summary>
-        internal static string CreateNewAlbumRes {
-            get {
-                return ResourceManager.GetString("CreateNewAlbumRes", resourceCulture);
-            }
-        }
-        
-        /// <summary>
-        ///   Looks up a localized string similar to 发生错误：.
-        /// </summary>
-        internal static string ErrorOcurredStrRes {
-            get {
-                return ResourceManager.GetString("ErrorOcurredStrRes", resourceCulture);
-            }
-        }
-        
-        /// <summary>
-        ///   Looks up a localized string similar to 失败.
-        /// </summary>
-        internal static string FailedStrRes {
-            get {
-                return ResourceManager.GetString("FailedStrRes", resourceCulture);
-            }
-        }
-        
-        /// <summary>
-        ///   Looks up a localized string similar to 正在Piwigo的版本....
-        /// </summary>
-        internal static string GetPiwigoVersionStrRes {
-            get {
-                return ResourceManager.GetString("GetPiwigoVersionStrRes", resourceCulture);
-            }
-        }
-        
-        /// <summary>
-        ///   Looks up a localized string similar to 登录....
-        /// </summary>
-        internal static string LogInStrRes {
-            get {
-                return ResourceManager.GetString("LogInStrRes", resourceCulture);
-            }
-        }
-        
-        /// <summary>
-        ///   Looks up a localized string similar to 添加到相册.
-        /// </summary>
-        internal static string MFAddToAlbumGroupboxStrRes {
-            get {
-                return ResourceManager.GetString("MFAddToAlbumGroupboxStrRes", resourceCulture);
-            }
-        }
-        
-        /// <summary>
-        ///   Looks up a localized string similar to 添加到相册.
-        /// </summary>
-        internal static string MFAddTopAlbumCheckboxStrRes {
-            get {
-                return ResourceManager.GetString("MFAddTopAlbumCheckboxStrRes", resourceCulture);
-            }
-        }
-        
-        /// <summary>
-        ///   Looks up a localized string similar to 父母册页：.
-        /// </summary>
-        internal static string MFlabel2StrRes {
-            get {
-                return ResourceManager.GetString("MFlabel2StrRes", resourceCulture);
-            }
-        }
-        
-        /// <summary>
-        ///   Looks up a localized string similar to 说明：.
-        /// </summary>
-        internal static string MFlabel3StrRes {
-            get {
-                return ResourceManager.GetString("MFlabel3StrRes", resourceCulture);
-            }
-        }
-        
-        /// <summary>
-        ///   Looks up a localized string similar to 专辑.
-        /// </summary>
-        internal static string MFlabel4StrRes {
-            get {
-                return ResourceManager.GetString("MFlabel4StrRes", resourceCulture);
-            }
-        }
-        
-        /// <summary>
-        ///   Looks up a localized string similar to 访问：.
-        /// </summary>
-        internal static string MFlabel5StrRes {
-            get {
-                return ResourceManager.GetString("MFlabel5StrRes", resourceCulture);
-            }
-        }
-        
-        /// <summary>
-        ///   Looks up a localized string similar to 专辑名称：.
-        /// </summary>
-        internal static string MFlabelStrRes {
-            get {
-                return ResourceManager.GetString("MFlabelStrRes", resourceCulture);
-            }
-        }
-        
-        /// <summary>
-        ///   Looks up a localized string similar to 新专辑.
-        /// </summary>
-        internal static string MFNewAlbumGroupBoxStrRes {
-            get {
-                return ResourceManager.GetString("MFNewAlbumGroupBoxStrRes", resourceCulture);
-            }
-        }
-        
-        /// <summary>
-        ///   Looks up a localized string similar to 新专辑.
-        /// </summary>
-        internal static string MFNewAlbumRadioButtonStrRes {
-            get {
-                return ResourceManager.GetString("MFNewAlbumRadioButtonStrRes", resourceCulture);
-            }
-        }
-        
-        /// <summary>
-        ///   Looks up a localized string similar to 选项.
-        /// </summary>
-        internal static string MFOptionsButtonStrRes {
-            get {
-                return ResourceManager.GetString("MFOptionsButtonStrRes", resourceCulture);
-            }
-        }
-        
-        /// <summary>
-        ///   Looks up a localized string similar to 执行.
-        /// </summary>
-        internal static string MFSyncButtonStrRes {
-            get {
-                return ResourceManager.GetString("MFSyncButtonStrRes", resourceCulture);
-            }
-        }
-        
-        /// <summary>
-        ///   Looks up a localized string similar to Picasa2Piwigo - 1.2版 - KenL.
-        /// </summary>
-        internal static string MFVersionStrRes {
-            get {
-                return ResourceManager.GetString("MFVersionStrRes", resourceCulture);
-            }
-        }
-        
-        /// <summary>
-        ///   Looks up a localized string similar to 错误：没有选择专辑.
-        /// </summary>
-        internal static string NoAlbumSelectedStrRes {
-            get {
-                return ResourceManager.GetString("NoAlbumSelectedStrRes", resourceCulture);
-            }
-        }
-        
-        /// <summary>
-        ///   Looks up a localized string similar to 取消.
-        /// </summary>
-        internal static string OFCancelButtonStrRes {
-            get {
-                return ResourceManager.GetString("OFCancelButtonStrRes", resourceCulture);
-            }
-        }
-        
-        /// <summary>
-        ///   Looks up a localized string similar to 选项.
-        /// </summary>
-        internal static string OFCaption {
-            get {
-                return ResourceManager.GetString("OFCaption", resourceCulture);
-            }
-        }
-        
-        /// <summary>
-        ///   Looks up a localized string similar to Piwigo的服务器URL：.
-        /// </summary>
-        internal static string OFlabel1StrRes {
-            get {
-                return ResourceManager.GetString("OFlabel1StrRes", resourceCulture);
-            }
-        }
-        
-        /// <summary>
-        ///   Looks up a localized string similar to Piwigo的用户名：.
-        /// </summary>
-        internal static string OFlabel2StrRes {
-            get {
-                return ResourceManager.GetString("OFlabel2StrRes", resourceCulture);
-            }
-        }
-        
-        /// <summary>
-        ///   Looks up a localized string similar to Piwigo的密码：.
-        /// </summary>
-        internal static string OFlabel3StrRes {
-            get {
-                return ResourceManager.GetString("OFlabel3StrRes", resourceCulture);
-            }
-        }
-        
-        /// <summary>
-        ///   Looks up a localized string similar to Picasa的联系人文件：.
-        /// </summary>
-        internal static string OFlabel8StrRes {
-            get {
-                return ResourceManager.GetString("OFlabel8StrRes", resourceCulture);
-            }
-        }
-        
-        /// <summary>
-        ///   Looks up a localized string similar to 行.
-        /// </summary>
-        internal static string OFOKButtonStrRes {
-            get {
-                return ResourceManager.GetString("OFOKButtonStrRes", resourceCulture);
-            }
-        }
-        
-        /// <summary>
-        ///   Looks up a localized string similar to 集.
-        /// </summary>
-        internal static string OFSetContactPathBtn {
-            get {
-                return ResourceManager.GetString("OFSetContactPathBtn", resourceCulture);
-            }
-        }
-        
-        /// <summary>
-        ///   Looks up a localized string similar to 的.
-        /// </summary>
-        internal static string ofStrREf {
-            get {
-                return ResourceManager.GetString("ofStrREf", resourceCulture);
-            }
-        }
-        
-        /// <summary>
-        ///   Looks up a localized string similar to 行.
-        /// </summary>
-        internal static string OKStrRes {
-            get {
-                return ResourceManager.GetString("OKStrRes", resourceCulture);
-            }
-        }
-        
-        /// <summary>
-        ///   Looks up a localized string similar to Picasa2Piwigo错误.
-        /// </summary>
-        internal static string Picasa2PiwigoErrStrRes {
-            get {
-                return ResourceManager.GetString("Picasa2PiwigoErrStrRes", resourceCulture);
-            }
-        }
-        
-        /// <summary>
-        ///   Looks up a localized string similar to 私人.
-        /// </summary>
-        internal static string PrivateStrRes {
-            get {
-                return ResourceManager.GetString("PrivateStrRes", resourceCulture);
-            }
-        }
-        
-        /// <summary>
-        ///   Looks up a localized string similar to 公众.
-        /// </summary>
-        internal static string PublicStrRes {
-            get {
-                return ResourceManager.GetString("PublicStrRes", resourceCulture);
-            }
-        }
-        
-        /// <summary>
-        ///   Looks up a localized string similar to 阅读Picasa的联系人文件....
-        /// </summary>
-        internal static string ReadContactsFileStrRes {
-            get {
-                return ResourceManager.GetString("ReadContactsFileStrRes", resourceCulture);
-            }
-        }
-        
-        /// <summary>
-        ///   Looks up a localized string similar to 检索相册列表....
-        /// </summary>
-        internal static string RetrieveAlbumListStRes {
-            get {
-                return ResourceManager.GetString("RetrieveAlbumListStRes", resourceCulture);
-            }
-        }
-        
-        /// <summary>
-        ///   Looks up a localized string similar to 设置您的Piwigo服务器连接“选项”按钮。.
-        /// </summary>
-        internal static string SetUpConnStrRes {
-            get {
-                return ResourceManager.GetString("SetUpConnStrRes", resourceCulture);
-            }
-        }
-        
-        /// <summary>
-        ///   Looks up a localized string similar to 停止.
-        /// </summary>
-        internal static string SFbutton1StrRes {
-            get {
-                return ResourceManager.GetString("SFbutton1StrRes", resourceCulture);
-            }
-        }
-        
-        /// <summary>
-        ///   Looks up a localized string similar to Picasa2Piwigo进展.
-        /// </summary>
-        internal static string SFCaptionsStrRes {
-            get {
-                return ResourceManager.GetString("SFCaptionsStrRes", resourceCulture);
-            }
-        }
-        
-        /// <summary>
-        ///   Looks up a localized string similar to 状态：.
-        /// </summary>
-        internal static string SFlabel1StrRes {
-            get {
-                return ResourceManager.GetString("SFlabel1StrRes", resourceCulture);
-            }
-        }
-        
-        /// <summary>
-        ///   Looks up a localized string similar to 按下STOP按钮。.
-        /// </summary>
-        internal static string StopButtonStrRes {
-            get {
-                return ResourceManager.GetString("StopButtonStrRes", resourceCulture);
-            }
-        }
-        
-        /// <summary>
-        ///   Looks up a localized string similar to 错误：无法联系Piwigo服务器。.
-        /// </summary>
-        internal static string UnableToContactServerStrRes {
-            get {
-                return ResourceManager.GetString("UnableToContactServerStrRes", resourceCulture);
-            }
-        }
-        
-        /// <summary>
-        ///   Looks up a localized string similar to 错误：无法在Piwigo服务器上创建相册。.
-        /// </summary>
-        internal static string UnableToCreateAlbumStrRes {
-            get {
-                return ResourceManager.GetString("UnableToCreateAlbumStrRes", resourceCulture);
-            }
-        }
-        
-        /// <summary>
-        ///   Looks up a localized string similar to 错误：无法检索版本号码。.
-        /// </summary>
-        internal static string UnableToGetVersionStrRes {
-            get {
-                return ResourceManager.GetString("UnableToGetVersionStrRes", resourceCulture);
-            }
-        }
-        
-        /// <summary>
-        ///   Looks up a localized string similar to 错误：无法登录到Piwigo的服务器。.
-        /// </summary>
-        internal static string UnableToLogInStrRes {
-            get {
-                return ResourceManager.GetString("UnableToLogInStrRes", resourceCulture);
-            }
-        }
-        
-        /// <summary>
-        ///   Looks up a localized string similar to 错误：无法打开Picasa联系人文件。.
-        /// </summary>
-        internal static string UnableToOpenContactsStrRes {
-            get {
-                return ResourceManager.GetString("UnableToOpenContactsStrRes", resourceCulture);
-            }
-        }
-        
-        /// <summary>
-        ///   Looks up a localized string similar to 错误：无法检索相册Piwigo的服务器。.
-        /// </summary>
-        internal static string UnableToRetreiveAlbumStrRes {
-            get {
-                return ResourceManager.GetString("UnableToRetreiveAlbumStrRes", resourceCulture);
-            }
-        }
-        
-        /// <summary>
-        ///   Looks up a localized string similar to 错误：无法检索标签Piwigo的服务器。.
-        /// </summary>
-        internal static string UnableToRetreiveTagsStrRes {
-            get {
-                return ResourceManager.GetString("UnableToRetreiveTagsStrRes", resourceCulture);
-            }
-        }
-        
-        /// <summary>
-        ///   Looks up a localized string similar to 上传照片.
-        /// </summary>
-        internal static string UploadingPHotoStrRes {
-            get {
-                return ResourceManager.GetString("UploadingPHotoStrRes", resourceCulture);
-            }
-        }
-        
-        /// <summary>
-        ///   Looks up a localized string similar to 上传照片：.
-        /// </summary>
-        internal static string UploadPhotosStrRes {
-            get {
-                return ResourceManager.GetString("UploadPhotosStrRes", resourceCulture);
-            }
-        }
-    }
-}
Index: /extensions/Picasa2Piwigo/Picasa2Piwigo/Language/WinFormStrings.zh.resx
===================================================================
--- /extensions/Picasa2Piwigo/Picasa2Piwigo/Language/WinFormStrings.zh.resx	(revision 26935)
+++ /extensions/Picasa2Piwigo/Picasa2Piwigo/Language/WinFormStrings.zh.resx	(revision 26936)
@@ -202,5 +202,5 @@
   </data>
   <data name="MFVersionStrRes" xml:space="preserve">
-    <value>Picasa2Piwigo - 1.2版 - KenL</value>
+    <value>Picasa2Piwigo - 1.3版 - KenL</value>
     <comment>Picasa2Piwigo - Version 1.1 - KenL</comment>
   </data>
Index: /extensions/Picasa2Piwigo/Picasa2Piwigo/Language/winFormStrings.es.resx
===================================================================
--- /extensions/Picasa2Piwigo/Picasa2Piwigo/Language/winFormStrings.es.resx	(revision 26935)
+++ /extensions/Picasa2Piwigo/Picasa2Piwigo/Language/winFormStrings.es.resx	(revision 26936)
@@ -202,5 +202,5 @@
   </data>
   <data name="MFVersionStrRes" xml:space="preserve">
-    <value>Picasa2Piwigo - Versión 1.2 - KenL</value>
+    <value>Picasa2Piwigo - Versión 1.3 - KenL</value>
     <comment>Picasa2Piwigo - Version 1.1 - KenL</comment>
   </data>