Index: extensions/oAuth/language/nl_NL/plugin.lang.php
===================================================================
--- extensions/oAuth/language/nl_NL/plugin.lang.php	(revision 26653)
+++ extensions/oAuth/language/nl_NL/plugin.lang.php	(revision 26943)
@@ -21,28 +21,28 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
-$lang['An error occured, please contact the gallery owner. <i>Error code : %s</i>'] = 'Er is een fout opgetreden, meldt het de gallerie eigenaar. <i>Error code : %s</i>';
+$lang['An error occured, please contact the gallery owner. <i>Error code : %s</i>'] = 'Er is een fout opgetreden, meldt het de galerie eigenaar. <i>Error code : %s</i>';
 $lang['%s: invalid keys'] = '%s: ongeldige toetsen';
-$lang['Contacting <b>%s</b>. Please wait.'] = '<b>%s</b> wordt geconnect. Even geduld AUB';
-$lang['Display sign in buttons on the register page'] = 'Toon inlog knoppen op de registratie pagina';
+$lang['Contacting <b>%s</b>. Please wait.'] = '<b>%s</b> u wordt verbonden. Even geduld aub';
+$lang['Display sign in buttons on the register page'] = 'Toon aanmeldknoppen op de registratiepagina';
 $lang['Social Connect: PHP Curl extension is needed'] = 'Social Connect: PHP Curl extensie is nodig';
-$lang['Social Connect: You need to configure the credentials'] = 'Social Connect: Je moet de aanmeldgegevens configureren';
-$lang['Please enter your OpenID URL'] = 'Vul je OpenID url in';
-$lang['Authentication canceled'] = 'Aanmelden geanuleerd';
-$lang['Display sign in buttons in the menubar'] = 'Toon login knoppen in de menu balk';
-$lang['Icon size on the identification page'] = 'Icoon formaat op de identificatie pagina';
-$lang['Logged with'] = 'Ingelogd met';
-$lang['Or sign in with'] = 'Of log in met';
-$lang['Please enter your username'] = 'Vul je gebruikersnaam in';
-$lang['Providers'] = 'Dienstverleners';
-$lang['You registered with a %s account, please sign in with the same account.'] = 'Je bent geregistreerd met een %s account, log in met dezelfde account';
+$lang['Social Connect: You need to configure the credentials'] = 'Social Connect: U dient de aanmeldgegevens in te stellen';
+$lang['Please enter your OpenID URL'] = 'Vul uw OpenID url in';
+$lang['Authentication canceled'] = 'Aanmelden geannuleerd';
+$lang['Display sign in buttons in the menubar'] = 'Toon aanmeldknoppen op de menubalk';
+$lang['Icon size on the identification page'] = 'Icoonformaat op de identificatie pagina';
+$lang['Logged with'] = 'Aangemeld met';
+$lang['Or sign in with'] = 'Of meldt u aan met';
+$lang['Please enter your username'] = 'Vul uw gebruikersnaam in';
+$lang['Providers'] = 'Providers';
+$lang['You registered with a %s account, please sign in with the same account.'] = 'U bent geregistreerd met een %s account, log aub in met hetzelfde account';
 $lang['Profile URL'] = 'Profiel URL';
-$lang['Sign in with %s'] = 'Log in met %s';
-$lang['Sorry, new registrations are blocked on this gallery.'] = 'Sorry, nieuwe aanmeldingen zijn geblokkeerd in deze gallerie';
-$lang['Users are not allowed to register on your gallery. Social Connect will not work correctly.'] = 'Gebruikers mogen niet registreren in je gallerie, Social Connect werkt niet goed.';
-$lang['Your registration is almost done, please complete the registration form.'] = 'Je registratie is bijna klaar, maak het registratieformulier compleet.';
+$lang['Sign in with %s'] = 'Meldt u aan met %s';
+$lang['Sorry, new registrations are blocked on this gallery.'] = 'Sorry, nieuwe aanmeldingen zijn geblokkeerd in deze galerie';
+$lang['Users are not allowed to register on your gallery. Social Connect will not work correctly.'] = 'Gebruikers mogen zich niet registreren in uw galerie, Social Connect zal niet goed werken.';
+$lang['Your registration is almost done, please complete the registration form.'] = 'Uw registratie is bijna klaar, vul het registratieformulier verder in.';
 $lang['Disabled'] = 'Uitgeschakeld';
 $lang['Enabled'] = 'Ingeschakeld';
 $lang['Error...'] = 'Fout...';
-$lang['Icon size in the menubar'] = 'Icoon formaat in de menubalk';
+$lang['Icon size in the menubar'] = 'Icoonformaat in de menubalk';
 $lang['Loading...'] = 'Laden..';
 $lang['Allow users to merge existing account with new <i>Social Connect</i> identity'] = 'Sta gebruikers toe om het bestaande account samen te voegen met de nieuwe <i> Social Connect </i> identiteit';