Index: trunk/admin/include/functions_history.inc.php
===================================================================
--- trunk/admin/include/functions_history.inc.php	(revision 26941)
+++ trunk/admin/include/functions_history.inc.php	(revision 26946)
@@ -22,6 +22,15 @@
 // +-----------------------------------------------------------------------+
 
+/**
+ * @package functions\admin\history
+ */
+
+
 include_once(PHPWG_ROOT_PATH.'admin/include/tabsheet.class.php');
 
+/**
+ * Init tabsheet for history pages
+ * @ignore
+ */
 function history_tabsheet()
 {
@@ -35,4 +44,7 @@
 }
 
+/**
+ * Callback used to sort history entries
+ */
 function history_compare($a, $b)
 {
@@ -40,4 +52,12 @@
 }
 
+/**
+ * Perform history search.
+ *
+ * @param array $data  - used in trigger_change
+ * @param array $search
+ * @param string[] $types
+ * @param array
+ */
 function get_history($data, $search, $types)
 {
Index: trunk/admin/include/functions_install.inc.php
===================================================================
--- trunk/admin/include/functions_install.inc.php	(revision 26941)
+++ trunk/admin/include/functions_install.inc.php	(revision 26946)
@@ -23,14 +23,17 @@
 
 /**
- * loads an sql file and executes all queries
- *
+ * @package functions\admin\install
+ */
+
+
+/**
+ * Loads a SQL file and executes all queries.
  * Before executing a query, $replaced is... replaced by $replacing. This is
  * useful when the SQL file contains generic words. Drop table queries are
  * not executed.
  *
- * @param string filepath
- * @param string replaced
- * @param string replacing
- * @return void
+ * @param string $filepath
+ * @param string $replaced
+ * @param string $replacing
  */
 function execute_sqlfile($filepath, $replaced, $replacing, $dblayer)
@@ -71,6 +74,4 @@
 /**
  * Automatically activate all core themes in the "themes" directory.
- *
- * @return void
  */
 function activate_core_themes()
@@ -87,4 +88,10 @@
 }
 
+/**
+ * Connect to database during installation. Uses $_POST.
+ *
+ * @param array &$infos - populated with infos
+ * @param array &$errors - populated with errors
+ */
 function install_db_connect(&$infos, &$errors)
 {
@@ -100,3 +107,4 @@
   }
 }
+
 ?>
Index: trunk/admin/include/functions_metadata.php
===================================================================
--- trunk/admin/include/functions_metadata.php	(revision 26941)
+++ trunk/admin/include/functions_metadata.php	(revision 26946)
@@ -22,7 +22,19 @@
 // +-----------------------------------------------------------------------+
 
+/**
+ * @package functions\admin\metadata
+ */
+
+
 include_once(PHPWG_ROOT_PATH.'/include/functions_metadata.inc.php');
 
 
+/**
+ * Returns IPTC metadata to sync from a file, depending on IPTC mapping.
+ * @toto : clean code (factorize foreach)
+ *
+ * @param string $file
+ * @return array
+ */
 function get_sync_iptc_data($file)
 {
@@ -81,4 +93,10 @@
 }
 
+/**
+ * Returns EXIF metadata to sync from a file, depending on EXIF mapping.
+ *
+ * @param string $file
+ * @return array
+ */
 function get_sync_exif_data($file)
 {
@@ -111,5 +129,9 @@
 }
 
-
+/**
+ * Get all potential file metadata fields, including IPTC and EXIF.
+ *
+ * @return string[]
+ */
 function get_sync_metadata_attributes()
 {
@@ -140,4 +162,10 @@
 }
 
+/**
+ * Get all metadata of a file.
+ *
+ * @param array $infos - (path[, representative_ext])
+ * @return array - includes data provided in $infos
+ */
 function get_sync_metadata($infos)
 {
@@ -179,5 +207,10 @@
 }
 
-
+/**
+ * Sync all metadata of a list of images.
+ * Metadata are fetched from original files and saved in database.
+ *
+ * @param int[] $ids
+ */
 function sync_metadata($ids)
 {
@@ -256,11 +289,11 @@
 
 /**
- * returns an array associating element id (images.id) with its complete
+ * Returns an array associating element id (images.id) with its complete
  * path in the filesystem
  *
- * @param int id_uppercat
- * @param int site_id
- * @param boolean recursive ?
- * @param boolean only newly added files ?
+ * @param int $category_id
+ * @param int $site_id
+ * @param boolean $recursive
+ * @param boolean $only_new
  * @return array
  */
@@ -318,3 +351,4 @@
   return hash_from_query($query, 'id');
 }
+
 ?>