Index: /extensions/UserAdvManager/branches/2.6/admin/UAM_admin.php
===================================================================
--- /extensions/UserAdvManager/branches/2.6/admin/UAM_admin.php	(revision 26955)
+++ /extensions/UserAdvManager/branches/2.6/admin/UAM_admin.php	(revision 26956)
@@ -38,4 +38,9 @@
 
 $dump_download = '';
+
+// Get admin panel theme
+// ---------------------
+$themeconf=$template->get_template_vars('themeconf');
+$UAM_theme=$themeconf['id'];
 
 // +-----------------------------------------------------------------------+
@@ -606,7 +611,4 @@
   // Template initialization for forms and data
   // ------------------------------------------
-  $themeconf=$template->get_template_vars('themeconf');
-  $UAM_theme=$themeconf['id'];
-
   $template->assign(
     array(
@@ -872,10 +874,11 @@
       }
 
-      // Plugin version inserted
-  		// -----------------------
+      // Plugin version inserted and admin panel theme
+  		// ---------------------------------------------
   		$template->assign(
   				array(
     				'UAM_VERSION'  => $version,
       		  'UAM_PATH'     => UAM_PATH,
+            'UAM_THEME'    => $UAM_theme,
           )
       );
@@ -1392,6 +1395,6 @@
     } 
     
-    // Plugin version inserted
-    // -----------------------
+    // Plugin version inserted and admin panel theme
+    // ---------------------------------------------
     $template->assign(
       array(
@@ -1399,4 +1402,5 @@
         'UAM_VERSION'  => $version,
         'UAM_PATH'     => UAM_PATH,
+        'UAM_THEME'    => $UAM_theme,
       )
     );
@@ -1741,10 +1745,11 @@
     }
 
-    // Plugin version inserted
-    // -----------------------
+    // Plugin version inserted and admin panel theme
+    // ---------------------------------------------
     $template->assign(
       array(
         'UAM_VERSION'  => $version,
         'UAM_PATH'     => UAM_PATH,
+        'UAM_THEME'    => $UAM_theme,
       )
     );
Index: /extensions/UserAdvManager/branches/2.6/admin/template/ghosttracker.tpl
===================================================================
--- /extensions/UserAdvManager/branches/2.6/admin/template/ghosttracker.tpl	(revision 26955)
+++ /extensions/UserAdvManager/branches/2.6/admin/template/ghosttracker.tpl	(revision 26956)
@@ -5,4 +5,6 @@
 
 {combine_css path= $UAM_PATH|@cat:'admin/template/uam.css'}
+{if $UAM_THEME=='clear'}{combine_css path= $UAM_PATH|@cat:'admin/template/themes/clear/theme.css'}{/if}
+{if $UAM_THEME=='roma'}{combine_css path= $UAM_PATH|@cat:'admin/template/themes/roma/theme.css'}{/if}
 
 <script type="text/javascript">
@@ -19,5 +21,5 @@
     {ldelim}
       $("#sorting")
-      .tablesorter({ldelim}sortList:[[4,1]], headers: {ldelim} 0: {ldelim} sorter: false {rdelim},2: {ldelim} sorter: false {rdelim}{rdelim}{rdelim})
+      .tablesorter({ldelim}widgets: ["zebra"],widgetOptions :{ldelim}zebra : [ "normal-row", "alt-row" ]{rdelim},sortList:[[4,1]], headers: {ldelim} 0: {ldelim} sorter: false {rdelim},2: {ldelim} sorter: false {rdelim}{rdelim}{rdelim})
       .tablesorterPager({ldelim}container: $("#pager"), page: 0, size: 20, output: '{ldelim}page{rdelim} / {ldelim}totalPages{rdelim}',{rdelim});
     {rdelim});
Index: /extensions/UserAdvManager/branches/2.6/admin/template/themes/clear/theme.css
===================================================================
--- /extensions/UserAdvManager/branches/2.6/admin/template/themes/clear/theme.css	(revision 26955)
+++ /extensions/UserAdvManager/branches/2.6/admin/template/themes/clear/theme.css	(revision 26956)
@@ -39,2 +39,16 @@
   padding: 0 15px 15px;
 }
+
+
+/* ******************************* */
+/* jQuery tablesorter instructions */
+/* ******************************* */
+
+table.tablesorter tbody tr.normal-row td {
+  background: #EEEEEE;  
+  color: #777777;
+}
+table.tablesorter tbody tr.alt-row td {
+  background: #DDDDDD;
+  color: #777777;
+}
Index: /extensions/UserAdvManager/branches/2.6/admin/template/themes/roma/theme.css
===================================================================
--- /extensions/UserAdvManager/branches/2.6/admin/template/themes/roma/theme.css	(revision 26955)
+++ /extensions/UserAdvManager/branches/2.6/admin/template/themes/roma/theme.css	(revision 26956)
@@ -39,2 +39,16 @@
   padding: 0 15px 15px;
 }
+
+
+/* ******************************* */
+/* jQuery tablesorter instructions */
+/* ******************************* */
+
+table.tablesorter tbody tr.normal-row td {
+  background: #111111;  
+  color: #666666;
+}
+table.tablesorter tbody tr.alt-row td {
+  background: #222222;
+  color: #666666;
+}
Index: /extensions/UserAdvManager/branches/2.6/admin/template/uam.css
===================================================================
--- /extensions/UserAdvManager/branches/2.6/admin/template/uam.css	(revision 26955)
+++ /extensions/UserAdvManager/branches/2.6/admin/template/uam.css	(revision 26956)
@@ -1,3 +1,5 @@
-/* UAM instructions */
+/* ********************* */
+/* UAM core instructions */
+/* ********************* */
 li {
   margin-bottom: 15px;
@@ -52,5 +54,10 @@
 }
 
+
+
+/* **************************** */
 /* jQuery cluetip instructions */
+/* **************************** */
+
 label.cluetip
 {
@@ -91,6 +98,14 @@
 }
 
+
+
+/* ******************************* */
 /* jQuery tablesorter instructions */
-table.tablesorter tbody tr.normal-row td {
+/* ******************************* */
+/* ******************************* */
+/* jQuery tablesorter instructions */
+/* ******************************* */
+
+/*table.tablesorter tbody tr.normal-row td {
   background: #111111;  
   color: #666666;
@@ -99,5 +114,5 @@
   background: #222222;
   color: #666666;
-}
+}*/
 
 tr.tablesorter-headerRow, throw
@@ -129,5 +144,10 @@
 }
 
+
+
+/* ************************************* */
 /* jQuery tablesorter pager instructions */
+/* ************************************* */
+
 .pager{
   text-align:center;
Index: /extensions/UserAdvManager/branches/2.6/admin/template/userlist.tpl
===================================================================
--- /extensions/UserAdvManager/branches/2.6/admin/template/userlist.tpl	(revision 26955)
+++ /extensions/UserAdvManager/branches/2.6/admin/template/userlist.tpl	(revision 26956)
@@ -5,4 +5,6 @@
 
 {combine_css path= $UAM_PATH|@cat:'admin/template/uam.css'}
+{if $UAM_THEME=='clear'}{combine_css path= $UAM_PATH|@cat:'admin/template/themes/clear/theme.css'}{/if}
+{if $UAM_THEME=='roma'}{combine_css path= $UAM_PATH|@cat:'admin/template/themes/roma/theme.css'}{/if}
 
 
@@ -22,4 +24,9 @@
       .tablesorter(
       {ldelim}
+          widgets: ["zebra"],
+          widgetOptions :
+          {ldelim}
+              zebra : [ "normal-row", "alt-row" ]
+          {rdelim},
           sortList:[[3,0]],
           // pass the headers argument and assing a object 
Index: /extensions/UserAdvManager/branches/2.6/admin/template/usermanager.tpl
===================================================================
--- /extensions/UserAdvManager/branches/2.6/admin/template/usermanager.tpl	(revision 26955)
+++ /extensions/UserAdvManager/branches/2.6/admin/template/usermanager.tpl	(revision 26956)
@@ -5,4 +5,6 @@
 
 {combine_css path= $UAM_PATH|@cat:'admin/template/uam.css'}
+{if $UAM_THEME=='clear'}{combine_css path= $UAM_PATH|@cat:'admin/template/themes/clear/theme.css'}{/if}
+{if $UAM_THEME=='roma'}{combine_css path= $UAM_PATH|@cat:'admin/template/themes/roma/theme.css'}{/if}
 
 <script type="text/javascript">
@@ -19,5 +21,5 @@
     {ldelim}
       $("#sorting")
-      .tablesorter({ldelim}sortList:[[6,0]], headers: {ldelim} 0: {ldelim} sorter: false {rdelim},2: {ldelim} sorter: false {rdelim}{rdelim}{rdelim})
+      .tablesorter({ldelim}widgets: ["zebra"],widgetOptions :{ldelim}zebra : [ "normal-row", "alt-row" ]{rdelim},sortList:[[6,0]], headers: {ldelim} 0: {ldelim} sorter: false {rdelim},2: {ldelim} sorter: false {rdelim}{rdelim}{rdelim})
       .tablesorterPager({ldelim}container: $("#pager"), page: 0, size: 20, output: '{ldelim}page{rdelim} / {ldelim}totalPages{rdelim}',{rdelim});
     {rdelim} 
Index: /extensions/UserAdvManager/branches/2.6/changelog.txt.php
===================================================================
--- /extensions/UserAdvManager/branches/2.6/changelog.txt.php	(revision 26955)
+++ /extensions/UserAdvManager/branches/2.6/changelog.txt.php	(revision 26956)
@@ -465,4 +465,19 @@
 
 -- 2.51.1 : Bug 2986 rollback - The fix is not working well. A special notice is added in administration panel
+
+-- 2.6.0 : Compatibility with Piwigo 2.6
+           HTML5 recommandation improvement
+           New tablesorter and tablesorter.pager jquery plugin
+           Add sk_SK, thanks to : JoeKundlak
+           Update pt_PT, thanks to : Bridges and ANO
+           Update pt_BR, thanks to : flaviove
+           Update tr_TR, thanks to : hakanselcuk
+           Update de_DE, thanks to : duke
+           Update da_DK, thanks to : Kaare
+           Update lv_LV, thanks to : agrisans
+           Update es_ES, thanks to : petaqui
+           Update it_IT, thanks to : Ericnet
+           Update ru_RU, thanks to : Konve
+           Update el_GR, thanks to : bas_alba
 */
 ?>
Index: /extensions/UserAdvManager/branches/2.6/obsolete.list
===================================================================
--- /extensions/UserAdvManager/branches/2.6/obsolete.list	(revision 26955)
+++ /extensions/UserAdvManager/branches/2.6/obsolete.list	(revision 26956)
@@ -1,15 +1,5 @@
-template/ConfirmMail.tpl
-template/rejected.tpl
-template/del_account.tpl
-template/confmail.css
-template/index.php
-template/icon/index.php
-template/icon/errors.png
-template/icon/home.png
-template/icon/infos.png
-template/icon/
-template
-rejected.php
-ConfirmMail.php
-GT_del_account.php
-USR_del_account.php
+admin/template/themes/default/collapse.gif
+admin/template/themes/default/expand.gif
+admin/template/themes/default/theme.css
+admin/template/themes/default/
+admin/template/js/jquery-lastest.js